Copyright: AC Olap Table Help - Version 1.1.4
Citation: AC Olap Table Help - Version 1.1.4 - Copyright Alpha Centauri


About this Help

The AC Olap Table online help is divided into 3  major sections:

Introduction introduces AC Olap Table and gives installation information.

User Help is a quick introduction on how to use AC Olap Table and gives an overview of its main functionality’s.

Developer Help gives an overview of all properties, methods, events and constants that make up the AC Olap Table control.

This version of the AC Olap Table Help matches version 1.1.4 of AC Olap Table.

Copyright Information

Information in this online documentation is subject to change without notice. No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose, without the express written permission of Alpha Centauri.

© 1997 Alpha Centauri All rights reserved.


Overview

AC Olap Table is a high-performance, 32-bit ActiveX Control for display and analyses of multi-dimensional information in OLE and Internet applications. AC Olap Table accesses data through Express, the OLAP database of Oracle.

AC Olap Table can be used by any development environment supporting ActiveX controls such as Microsoft Visual Basic, Microsoft Visual C++, Borland Delphi, Microsoft FrontPage or Microsoft Visual Interdev.

AC Olap Table’s main features :

• High Performance display and data analyses of multi-dimensional data.

• Ad-hoc analyses through the creation of Custom Measures.

• Color Coding

• Drilling capabilities both in the Down and Across dimensions

• Clipboard Copy and Paste. You can copy data to the Windows Clipboard for use in other applications.


Installation Information

In order to use AC Olap Table you must install Oracle Personal Express or Oracle Express Server.

The installation procedure of AC Olap Table will install :

• AC Olap ActiveX Control

• The AC Olap Scripting Demo, a tool to visualize AC Olap Table using Visual Basic Scripts.

• The ACODemo database, an Oracle Express database for demo purposes.

• A number of example Visual Basic Scripts, using the ACODemo database.

• A number of example AC Olap Table Template files.

• The AC Olap Table Registry Configuration program, that enables you to modify the settings for the connection to Oracle Express.

• A web page containing miscellaneous information and a link to the Alpha Centauri web page.

The installation procedure will create the following icons :


Registry Configuration

AC Olap Table is based upon a client/server architecture and communicates with a local server (Oracle Personal Express) or with a remote server (Oracle Express Server). In order for AC Olap Table to establish a connection with Express, execute Express commands and receive the results of the command execution, AC Olap Table uses the Express API called SNAPI (Structured N-Dimensional Application Programming Interface).

AC Olap Table needs to know the exact location of the SNAPI Access Provider to be able to establish a connection. This information is stored in the Windows registry and can be edited using the AC Olap Table Registry Configuration.

SNAPI Access Provider

The SNAPI Access Provider registry key should point to the file XWSNLR32.DLL which is used by AC Olap Table as an entry point into the Express API. Depending on the type of connections you are planning to make, this key should always point to the latest corresponding SNAPI version installed on your machine. If you plan to establish local connections only, the XWSNLR32.DLL file located in the directory where you installed Personal Express will do. If you plan to establish local connections and remote connections, you need to specify the XWSNLR32.DLL file located in the directory where you installed Remote SNAPI.

Note : The Remote SNAPI 6.1.0 XWSNLR32.DLL file is installed by the AC Olap Table installation program into your AC Olap Table directory. Until Oracle releases a newer version of Remote SNAPI, this file will do in most cases for local connections as well as for remote connections.

Personal Express

The Personal Express key should point to the file PCXWIN.EXE which you plan to use for your local connections. This file can be found in the directory where you installed Personal Express. If you do not plan to use AC Olap Table with local connections, this registry key may be left blank.

Express Server String Binding

The Express Server String Binding key should contain the string uuid@transport:host[endpoint] where uuid, transport, host and endpoint are replaced with specific information about the Express Server instance you plan to use for the remote connections of AC Olap Table. Refer to your Express Server documentation for more information on string bindings. If you do not plan to use remote connections, this registry key may be left blank.


Main Window

Click on any part of the AC Olap Table Control to learn more about its functionality.


Measure Selection

In the Measure Selection screen you can

• select one or more measures.

• add existing measures to the current selection.

• remove one or more or all measures from the selection.

• reorder measures by drag and drop.

• create custom measures.

• decide to open the Rotation Dialog Box before viewing the table.

• decide to open the Selection Dialog Box before viewing the table.

Click on any part of the Measure Selection Dialog to learn more about its functionality.


Custom Measures

A custom measure is a measure which can be created at run time by the user to give information that is not currently available in the database, e.g. to perform a what-if analyses. A custom measure is based upon existing measures in one of the attached databases.

In the Custom Measures screen you can

• create a new custom measure .

• edit an existing custom measure.

• recall an existing custom measure.

See also : How to create a Custom Measure ?


Available Measures

The Available Measures list in the Measure Selection Dialog Box is a list of all the available measures in any of the open databases.

1. Click on the + sign in front of the [image] icon to visualise all available measures.

2. To select a measure :

→ Select a measure and click on the Add button.

or

→ Double click on a measure.

The measure is selected when it appears in the Selected Measures part of the Measure Selection Dialog Box.

Icons	Description
	Database
	Variable
	Formula


Selected Measures

The Selected Measures list in the Measure Selection Box is the list of all currently selected Measures.

1. To add another measure :

→ Select a measure in the Available Measures list and click on the Add button.

or

→ Double click on a measure in the Available Measures list.

The measure is selected when it appears in the Selected Measures list.

2. To add a custom measure :

→ Click on the Custom button.

3. To remove one or all measures :

→ Select a measure in this list and click on the Remove button.

or

→ Click on the Remove All button to remove all measures.

4. To reorder measures :

→ Click on a measure in this list and drag it to another position

Icons	Description
	Variable
	Formula
	Custom Measure


Resulting Cube

When creating a Selected Measures list in the Measure Selection Dialog, AC Olap Table will automatically pre-format the table and put the dimensions of all selected measures in one of the three edges (Across, Down, Page). The Resulting Cube screen shows how the dimensions will be formatted in the table.

To modify this pre-format before going to the table, check the Rotation Dialog Box option to open the Rotation Dialog Box after confirming the Measure selection.

Icons	Description
	Dimensions in the Across Edge
	Dimensions in the Down Edge
	Dimensions in the Page Edge


Selection Dialog

In the Selection Dialog screen you can make a selection of dimension values for a specific dimension. Only the selected dimension values will then appear in the AC Olap Table.

In the Selection Dialog Box you can

• select all existing values of a dimension.

• select from a list of values.

• see the current selection.

• see the number of selected and available values.

• see the hierarchy relation which is currently used. You can change this hierarchy relation in the Hierarchy Tag of the Dimension Property Box .


Selection Dialog Box - List

The AC Olap Table List Tool shows the list of values of the selected dimension. If the selected dimension is a hierarchy dimension the list shows all values belonging to the current hierarchy. You can then drill down and up the dimension.

If the dimension is not a hierarchy dimension the List Tool shows all values in the dimension.

Selected values have a blue background.

• To select one value : click on the value.

• To select more values : click on the values while pressing the Ctrl-Key.

• To select a range of values : click on the first value, then click on the last value while pressing the Shift-Key.


Rotation Dialog

In the Rotation Dialog Box you can

• move a dimension to another edge .

• move a dimension to another position within the same edge .

• rotate two dimensions .

• rotate all dimensions from one edge with the dimensions from another edge .


Control Properties - General

The AC Olap Table Control Properties are properties that apply to the table in general. Changing these properties enable you to modify the layout of the AC Olap Table completely. These properties are the defaults for the AC Olap Table. Some of these properties can be overwritten for individual measures in the Measure Properties window .


Control Properties - Measure

The AC Olap Table Control Properties are properties that apply to the table in general. Changing these properties enable you to modify the layout of the AC Olap Table completely. These properties are the defaults for the AC Olap Table. All properties in the Measure Tag can be overwritten for individual measures in the Measure Tag of the Measure Properties window .


Control Properties - Fonts

The AC Olap Table Control Properties are properties that apply to the table in general. Changing these properties enable you to modify the layout of the AC Olap Table completely. These properties are the defaults for the AC Olap Table. The properties in the Fonts Tag can be overwritten for individual measures in the Display Tag of the  Measure Properties window .


Control Properties - Color

The AC Olap Table Control Properties are properties that apply to the table in general. Changing these properties enable you to modify the layout of the AC Olap Table completely. These properties are the defaults for the AC Olap Table. The properties in the Colors Tag can be overwritten for individual measures in the Display Tag of the Measure Properties window or by applying Threshold Coding to the measure.


Measure Properties - General

The AC Olap Table Measure Properties are properties that apply to individual measures. Changing these properties enable you to modify the layout of this measure completely. By default, AC Olap Table will apply the General Properties to all measures. To force AC Olap Table to use the Measure Properties for a specific measure, you need to check the boxes for Measure Format, Display Format and/or Threshold Coding in the Used Properties window.


Measure Properties - Measure

The AC Olap Table Measure Properties are properties that apply to individual measures. In the Measure Tag you can change the number, boolean or date format of a measure. Only that box will be enabled that applies to the measure selected. (E.g. For Boolean data you can only modify the TrueSpell and FalseSpell properties. All other properties will be disabled).

Changing these properties enable you to modify the layout of this measure completely. By default, AC Olap Table will apply the General Properties to all measures. To force AC Olap Table to use these Measure Properties for the selected measure, you need to check the Measure Format box in the General Tag of the Measure Properties window.


Measure Properties - Display

The AC Olap Table Measure Properties are properties that apply to individual measures. In the Display Tag you can change the number, boolean or date format of an individual measure. Only that box will be enabled that applies to the measure selected. (E.g. For Boolean data you can only modify the TrueSpell and FalseSpell properties. All other properties will be disabled). By default, AC Olap Table will apply the General Properties to all measures. To force AC Olap Table to use these Display Properties for the selected measure, you need to check the Display Format box in the General Tag of the Measure Properties window.


Measure Properties - Threshold

The AC Olap Table Measure Properties are properties that apply to individual measures. In the Threshold Tag you can set the properties for Threshold Coding for an individual measure. By default, AC Olap Table will apply the General Properties to all measures. To force AC Olap Table to use these Threshold Coding Properties for the selected measure, you need to check the Threshold Coding box in the General Tag of the Measure Properties window.

See also : How to apply Threshold Coding to a Measure ?


Dimension Properties - General

The AC Olap Table Dimension Properties are properties that apply to individual dimensions. Changing these properties enable you to modify the labels, headings and hierarchies of this dimension.


Dimension Properties - Hierarchy

The AC Olap Table Dimension Properties are properties that apply to individual dimensions. Changing these properties enable you to modify the labels, headings and hierarchies of this dimension.


How to rotate two dimensions ?

1	Click on the [image] button to open the Rotation Dialog Box.

2	Click on one of the two dimensions, drag it on top of the other dimension and release the mouse button.

3	A pop-up window appears. Select Rotate from the choice list.

4	Click on OK to confirm the operation.

AC Olap Table will swap the two dimensions in the table.


How to move a dimension to another edge ?

To position the dimension at the end of the list :

1	Click on the [image] button to open the Rotation Dialog Box.

2	Click on the dimension, drag it on top of the edge you wish to move it to and release the mouse button.

3	Click on OK to confirm the operation.

AC Olap Table will move the dimension at the end of the dimension list in the other edge.

To position the dimension before or after another dimension :

1	Click on the [image] button to open the Rotation Dialog Box.

2	Click on the dimension, drag it on top of the dimension before or after which you wish to move it to in another edge and release the mouse button.

3	A pop-up window appears. Select Before or After from the choice list.

4	Click on OK to confirm the operation.

AC Olap Table will move the dimension before or after the selected dimension in the other edge.


How to move a dimension within the same edge ?

1	Click on the [image] button to open the Rotation Dialog Box.

2	Click on the dimension, drag it on top of the dimension before or after which you wish to move it to within the same edge and release the mouse button.

3	A pop-up window appears. Select Before or After from the choice list.

4	Click on OK to confirm the operation.

AC Olap Table will move the dimension to the new position in the dimension list within the same edge.


How to rotate all dimensions from one edge with the dimensions from another edge ?

1	Click on the [image] button to open the Rotation Dialog Box.

2	Click on one of the two edges, drag it on top of the other edge and release the mouse button.

3	Click on OK to confirm the operation.

AC Olap Table will swap all dimensions from the first edge with all dimensions from the second edge.


How to order measures ?

1	Click on the [image] button to open the Measure Selection Box.

2	Click on the measure you wish to move.

3	Drag the measure to another position in the Measure list.


How to apply Threshold Coding to a Measure ?

1	Click on the [image] button to open the Measure Properties Box.

2	Select the measure to which you wish to apply the Threshold Coding.

3	Click on the Threshold Tag in the Measure Properties Box.

4	Enter a high and a low value.

5	Modify font and/or font color and/or background color for the High, Middle and Low Values.

6	In the General Tag, check the Threshold Coding box to overwrite the default color settings with the Threshold Coding settings.

7	Click OK to confirm the operation.

AC Olap Table will apply the specified fonts and colors to the data grid according to the values of the specific measure.


How to create a Custom Measure ?

1	Click on the [image] button to open the Measure Selection Box.

2	Click on the [image] button. The Custom Measure Dialog Box will appear.

3	In the AC Olap Table Custom Measures screen, select the database from which you wish to use other Measures to create the Custom Measure.

4	Enter a name for the Custom Measure in the Name box.

5	In the Expression box enter a valid Express Expression . Double click on a Measure in the Available Measures box to make it appear in the Expression box.

6	In the Available Measures box you can click on an existing Measures to see its definition. The definition shows the data type of the Measure (E.g. Integer, Decimal, Text, Boolean, etc..) and its dimensions.

7	Click OK to confirm the operation. If the Expression is not valid, the Custom Measure will not appear in the Selected Measures box. If it is valid, it will be shown with a [image] sign in front of it.

8	Click OK in the Measure Selection Box to see the Custom Measure in the table.

After the custom measure has been created it will behave as any other measure in the database.

Example

A database contains three variables ACTUALS, UNITS and COSTS and a formula AVGPRICE, being the calculation of ACTUALS divided by UNITS. You might wish to have an idea of your sales and your margin if you increased AVGPRICE by 2 %.

To do this you can create a Custom Measure WHATIFSALES with the formula UNITS*AVGPRICE*1.02 and another Custom Measure WHATIFMARGIN with the formula (UNITS*AVGPRICE*1.02) - COSTS.


How to copy data to another application ?

You can copy data from the AC Olap Table to the clipboard, then paste it into another application such as Lotus 1-2-3, Microsoft Excel or Word.

To copy data into another application:

1	Create the table that you wish to copy to the target application.

2	In the Toolbar click on the [image] button to copy the data to the clipboard.

3	Open the target application and past the data from the clipboard, pressing CTRL + V  or choose Paste from the application's Edit menu.

4	The data and the labels of the dimensions in the Down and Across edges will be copied to the target application.


How to save your work ?

You can save your table to an AC Olap Table Template file (ACT) or an AC Olap Table Server Template file (WST). Both files store all settings of the table you have just created. An ACT file can be put on the network for distribution. A WST file can be put on a web server and is accessible via an Internet address.

The information stored in this file contains :

• the database you have been using and its full path name

• the selected measures, including the custom measures.

• the selections

• all formatting information, e.g. threshold coding, rotation information, number formats, etc.

To save your table you need to do the following :

1	Create the table that you wish to save.

2	In the Toolbar click on the [image] button to open the Save window.

3	Select the directory in which you wish to save your work.

4	Enter a name for the file.

5	Select the type of file : AC Olap Table Template (ACT) or AC Olap Table Server Template (WST).

Note : The AC Olap template file does not store the data. If the data has been updated since your last session, restoring a template file will give you the updated data.

  See Also


How to restore a saved table ?

You can restore an AC Olap table that you have previously saved in an AC Olap Table Template file (extension ACT).

To restore your table you need to do the following :

1	In the Toolbar click on the [image] button to open the Restore window.

2	Select the AC Olap Table Template file from the directory in which it is stored and click the OK button.

3	Check the Use active connection box if you wish to keep the current connection. If not AC Olap Table will disconnect and make a new connection using the connection information from the template file you are opening.

  See Also


How to share your work with other users ?

If you have created a table that you wish to share with other users, you need to do the following:

1	Save your table to an AC Olap Table Template file.

2	Copy this file to a network drive that other users have access to.

3	The other users can now simply restore the template file and see your work.

Note : As the template file contains information about the location of the database, you need to make sure that the other users can access the same database, using the same location.

  See Also


Trademark Information

AC Olap Table is a registered trademark of Alpha Centauri.

Oracle and Express are registered trademarks of Oracle Corporation. Personal Express and Express Server are trademarks of Oracle Corporation.

All other products and company names mentioned herein are used for identification purposes only and may be the trademarks of their respective owners.


Contact Alpha Centauri

Contact us via Post, Fax or E-Mail :

Alpha Centauri

Square Marlow 25

B-1180 Brussels

Belgium

E-Mail:	webmaster@alphacentauri.be

Fax:	+32 (0)2 340.12.41

Web:	http://www.alphacentauri.be


Technical Support

The Alpha Centauri support staff can help you with any problem you encounter installing or using AC Olap Table. If you need assistance, contact Alpha Centauri in any of the following ways:

For technical support contact:

E-Mail:	webmaster@alphacentauri.be

Fax:	+32 (0)2 340.12.41


Glossary

A

Across Edge

AlignHorizontal

AlignVertical

AutoRefresh

B

Boolean

C

Color Coding

ColumnWidth

Cube Info

Custom Measure

D

DataBody

DateSpell

Decimals

DecimalSep

Down Edge

Drill Direction

Drill Indentation

E

EdgeTypeAcross

EdgeTypeDown

Expression

F

FalseSpell

G

H

Hierarchy Dimension

Hierarchy Relation

Hierarchy Value

I

J

K

L

M

N

NA Values

NASpell

NegativeSpell

O

P

Page Edge

Pixel

PositiveSpell

Prefix

Q

R

RowHeight

S

ShowPageDimBar

ShowToolBar

Suffix

T

ThousandsSep

Threshold Coding

TrueSpell

U

V

W

X

Y

Z

ZoomFactor


Across Edge

The dimension values in the Across Edge are shown column by column. If a dimension is hierarchical, left clicking on a value will open a drill menu to enable you to drill down or up.


AlignHorizontal

Specifies the horizontal justification of measures in the AC Olap Table.


AlignVertical

Specifies the vertical justification of measures in the AC Olap Table.


AutoRefresh

Specifies whether the table is refreshed automatically after every modification to the table is done or only after all the modifications are done and the table is refreshed.


Boolean

A boolean is a logical Yes / No value.


Color Coding

Threshold coding or color coding specifies different fonts, background colors and font colors for different ranges of data values displayed in a table.


ColumnWidth

Specifies the width of the column in pixels. Specify a value of 0 to accept the default column width.


Cube Info

Cells per Page: The number of cells in the databody. If this number is very large (i.e. more than 15.000 cells), you might consider reducing your selection as the response time when manipulating the table will increase.

Available Pages: The number of pages that you can page through.(i.e. all possible combinations of the values from all dimensions in the Page Edge).


Custom Measure

A custom measure is a measure which can be created at run time by the user to give information that is not currently available in the database, e.g. to perform a what-if analyses. A custom measure is based upon existing measures in one of the attached databases.


DataBody

The databody shows the values of the selected measures. Its appearance can be fully controlled using Control and Measure Properties such as color codng.


DateSpell

Specifies the format of date values in a table.


Decimals

Controls the number of digits that appear to the right of the decimal character in a data value in the table.


DecimalSep

Specifies the string to use as decimal separator in data values in the table.


Down Edge

The dimension values in the Down Edge are shown row by row. If a dimension is hierarchical, then + and - signs will be shown in front of the values to enable you to drill down or up by clicking the value with the left mouse button.


Drill Direction

The drill direction in the Down Edge :

Down : the hierarchy levels will be displayed in ascending order (i.e. the lowest levels first).

Up : the hierarchy levels will be displayed in descending order (i.e. the highest levels first).


Drill Indentation

The number of characters to indent for every new level in the down dimension.


EdgeTypeAcross

Specifies the format of the Across bar of the table.


EdgeTypeDown

Specifies the format of the Down bar of the table.


Expression

An expression can be

- any variable or formula

- a function that returns one or more values (eg. Total, Lagpct, …)

- a calculation that combines values, dimensions, variables, formulas and or functions with arithmetic and boolean operators.

Examples :

Actuals * 1.02

100*( Actuals / Budget ) / Budget

Refer to your Express documentation for more information on Express expressions.


FalseSpell

Controls the spelling of Boolean data values for which the value is False. You can specify any string, e.g. NO, FALSE, OFF...


Hierarchy Dimension

In the case of multiple hierarchies you can have one or more Hierarchy Dimensions to define the different hierarchies. Change the selected value to change the current hierarchy.


Hierarchy Relation

The relation currently used to define the hierarchy in the selected dimension. If the value is NONE, no hierarchy is selected and drill down operations will be disabled.


Hierarchy Value

The value of the hierarchy dimension which is currently used to specify the hierarchical relation of the current dimension in the table. To change the value of the Hierarchy Dimension, click on the current selected value to see a list of available values.


NA Values

NA means Not Applicable. NA Values are values that are empty, i.e. for which there is no data. This is not the same as  the value O.


NASpell

Controls the spelling of Na values in a table.


NegativeSpell

Specifies the format of negative values in the table.


Page Edge

The three dimensions in this bar are the Page Dimensions. Only one value of these dimensions is visible. Click on the small arrow to page to another value.


Pixel

The smallest unit on the screen.


PositiveSpell

Specifies the format of positive values in the table.


Prefix

Specifies a string of characters to place in front of the data value (E.g. $, £, ...)


RowHeight

Specifies the height of the rows in pixels. Specify a value of 0 to accept the default row height.


ShowPageDimBar

Specifies whether the Dimension Bar in the Page Edge is visible or not.


ShowToolBar

Specifies whether the toolbar is visible or not.


Suffix

Specifies a string of characters to place after the data value (E.g. %, $, ...)


Threshold Coding

Threshold coding or color coding specifies different fonts, background colors and font colors for different ranges of data values displayed in a table.


ThousandsSep

Controls the character to use for separating thousands in data values in the table.


TrueSpell

Controls the spelling of Boolean data values for which the value is True. You can specify any string, e.g. YES, TRUE, ON...


ZoomFactor

Specifies a percentage to zoom for displaying a table. When you zoom, all the fonts in the table are scaled by the same percentage.


OLE_COLOR

For color representation, AC Olap Table refers to color as a value in RGB color space. This  color value is represented by an OLE_COLOR type. One way to represent a color value is as an integer value, which is the sum of a combination of the RGB values.

To calculate the integer value:

The Red component can be an integer value from 0 to 256.

The Green component can be an integer value from 0 to 256 multiplied by 256.

The Blue component can be an integer value from 0 to 256 multiplied by 256².

Specific development environments may have constants that represent basic color values by name (for example in Visual Basic, vbCyan).

Example

Color	Red Value	Green Value	Blue Value	OLE_COLOR Representation
Black	0	0	0	0 + 0 + 0
Blue	0	0	255	0 + 0 + 255*256*256
Green	0	255	0	0 + 255*256 + 0
Red	255	0	0	255 + 0 + 0
Yellow	255	255	0	255 + 255*256 + 0
White	255	255	255	255 + 255*256 + 255*256*256


Font

The value of the Font property in AC Olap Table can be retrieved from the standard Font Dialog Box from Windows95 or WindowsNT.

In some development environments like Visual Basic or Delphi you can store a Font value in a new Font Object and re-use it.

Example

The following code uses the VB5 Common Font Dialog to let the user change the AC Olap Table Font property. ACOTable1 is an AC Olap Table object, CommonDialog1 is a VB5 Common Dialog object.

' Create a VB5 StdFont font object

Dim X As New StdFont

' Trap the VB5 Common Font Dialog Cancel button

CommonDialog1.CancelError = True

On Error GoTo ErrHandler

' Initialize it with the AC Olap Table Font property

Set X = ACOTable1.Font

' Use it to initialize the VB5 Common Font Dialog

CommonDialog1.FontBold = X.Bold

CommonDialog1.FontItalic = X.Italic

CommonDialog1.FontName = X.Name

CommonDialog1.FontSize = X.Size

' Show the VB5 Common Font Dialog

Call CommonDialog1.ShowFont

' Reuse X to capture the user selected font

X.Name = CommonDialog1.FontName

X.Size = CommonDialog1.FontSize

X.Bold = CommonDialog1.FontBold

X.Italic = CommonDialog1.FontItalic

' Change the AC Olap Font property into the user selected font

Set ACOTable1.Font = X

ErrHandler:


Threshold Coding

Threshold coding or color coding specifies fonts and colors for different ranges of data values displayed in a table. It can specify different fonts, background colors and font colors for different ranges of data.

There are three types of threshold : High Threshold, Middle Threshold and Low Threshold. Depending on the High Threshold value and the Low Threshold value, AC Olap Table will format the data values using the Threshold properties.

Example

For the Achievement Measure a High Value is set of 110% and a Low Value of 100%. All data values higher than the High Value have a green background, all values lower than the Low Value have a red background and all values in between the High and Low Value remain unchanged.

For more details on how to apply Threshold Coding Click Here .


Copy To Clipboard

Click here to copy the current page of data to the Windows clipboard. All values of the Down and Across dimensions and the current value of each Page dimension will be copied.


Property Name

Font properties can be applied to 3 different parts of the AC Olap Table :

AcrossEdgeFont 	= Font of Across Dimension Values

DownEdgeFont 	= Font of Down Dimension Values

Font 	= Font of Data Values


Ok

Click on this button to confirm your selection.


Apply

Click here to apply the modifications to the table before closing the window.


Cancel

Click here to cancel all modifications.


Remove All

Click on this button to remove all measures from the current selection.


Help

Click on this button to show the Help screen.


Page Edge Arrows

Click on the left or right arrow to show the Page Dimensions which are not currently visible. If these arrows are disabled, all Page Dimensions are visible.


Measure Definition

Type : Type of data value (Integer, Decimal, Boolean, Date, ...).

Dimensions : Axes of the measure.

Database : The databases the measure belongs to.

Equation : Formula (left blank if the measure is not a formula).


Used Properties

Check the Display, Measure and Threshold Coding boxes to overwrite the default properties with the properties of the selected measure.


Measure Labels

Change the long and short label of the measure. These labels will be used as headings.


Value Labels

Select the measure that will be used as Long and Short Label for the dimension values.


Labels

Enter the Short and Long Labels of the dimension which will be used as name of the dimension in the Rotation and Selection Dialog box.


Display properties

AlignHorizontal

AlignVertical

ColumnWidth

FillColor

Font

FontColor

NaSpell

Prefix

Suffix

RowHeight


Measure Properties

DateSpell

Decimals

DecimalSep

FalseSpell

NegativeSpell

PositiveSpell

ThousandsSep

TrueSpell


Restore

Restores an AC Olap Table previously saved in an ACT file.


Save

Saves the current AC Olap Table settings to an ACT file (local or network) or a WST file (web).


Rotate

Click on a dimension and drag it to another location within the same edge or to another edge. Then specify Rotate, Before or After.


Add

Select a measure in the Available Measures list and click this button to add the measure to the current selection.


Remove

Select a measure from the Selected Measures list and click on this button to remove the measure from the current selection.


Selection Dialog Box

Check this box to open the Selection Dialog Box after confirming this dialog. Leave this box blank to keep the default selections or the current selections in the table.


Rotation Dialog Box

Check this box to open the Rotation Dialog Box after confirming this dialog. Leave this box blank to keep the rotation format as shown in the Resulting Cube part of this dialog.


User Visible Measures Only

Check this box to view only the user visible measures in the Available Measures list. Leave this box blank to view all measures in any of the open database.


All

Click here to select all values of the dimension.


Select

Click on the values to select or deselect.


Dimension Info

Number of selected values.

Number of available values.

The current Hierarchy relation.


Drill

Click here to drill up or down a hierarchical dimension.


Dimension

Current selected dimension.


Selected Values

Current selection.


Font & Background Colors

AcrossEdge	= Colors of Across Dimension Values

DownEdge	= Colors of Down Dimension Values

DataGrid	= Colors of Data Values


Font & Colors

Change the font, font color and background colors of the selected measure.


High

Change the font, font color and background color of all data values higher than the High Value.


Middle

Change the font, font color and background color of all data values in between the Low and High Value.


Low

Change the font, font color and background color of all data values lower than the Low Value.


High Threshold

Enter the High Value for the Threshold Coding.


Low Threshold

Enter the Low Value for the Threshold Coding.


Down Edge Display

Check the Use Fill Color box and select a color to change the color of the dimension values in the Down Edge. This is extremely useful when you have two down dimensions.


Dimension Label Type

Select which label type will appear in the Down, Across and Page Edge : the dimension values, the Long or the Short labels.


Available Measures

All measures currently available in the database that you can use as a basis for your custom measure.


Custom Measure Expression

Enter the expression or formula for the custom measure. This expression must be a valid Oracle Express expression.


Custom Measure Name

Enter a name for the custom measure.


Custom Measure Action

Select on of the following actions :

- Create a new custom measure based upon measures from one of the databases currently open.

- Recall an existing custom measure.

- Edit an existing custom measure (after it has been recalled).


Measure Description

The description of a measure from the Available Measures screen that is currently selected. This description includes the data type of the measure and its dimensions.


Alphabetical List

A

AcrossEdgeFillColor Property

AcrossEdgeFont Property

AcrossEdgeFontColor Property

AddCustomMeasure Method

AddMeasure Method

Align Property

AlignHorizontal Constant

AlignHorizontal Property

AlignVertical Constant

AlignVertical Property

AutoRefresh Property

B

C

ChangeEdge Method

Close Method

ColumnWidth Property

Connect Method

CopyConnect Method

CopyToClipboard Method

D

DateSpell Constant

DateSpell Property

Decimals Property

DecimalSep Constant

DecimalSep Property

DimensionPropertyBox Method

Disconnect Method

DownEdgeFillColor Property

DownEdgeFont Property

DownEdgeFontColor Property

E

EdgeType Constant

EdgeTypeAcross Property

EdgeTypeDown Property

F

FalseSpell Property

FetchData Method

FillColor Property

Font Property

FontColor Property

G

GetConnectionHandle Method

GetConnectionType Method

GetCubeDimensions Method

GetDataValue Method

GetDimDownEdgeFillColor Method

GetDimDrillDirection Method

GetDimDrillIndentation Method

GetDimHierarchyRelation Method

GetDimHierDimValue Method

GetDimLabel Method

GetDimLabelsMeasure Method

GetDimLabelType Method

GetDimUseDownEdgeFillColor Method

GetDimValue Method

GetMeasAlignHorizontal Method

GetMeasAlignVertical Method

GetMeasColumnWidth Method

GetMeasDateSpell Method

GetMeasDecimals Method

GetMeasDecimalSep Method

GetMeasFalseSpell Method

GetMeasFillColor Method

GetMeasFontColor Method

GetMeasLabel Method

GetMeasNASpell Method

GetMeasNegativeSpell Method

GetMeasPositiveSpell Method

GetMeasPrefix Method

GetMeasRowHeight Method

GetMeasSuffix Method

GetMeasThousandsSep Method

GetMeasThreshold Method

GetMeasThresholdFillColor Method

GetMeasThresholdFontColor Method

GetMeasTrueSpell Method

GetMeasUseDisplayFormat Method

GetMeasUseMeasureFormat Method

GetMeasUseThresholdCoding Method

GetOpenDatabases Method

GetSelection Method

GotoPage Method

H

Help Method

I

J

K

L

Label Constant

M

MeasureBox Method

MeasurePropertyBox Method

Move Method

N

NASpell Property

NegativeSpell Constant

NegativeSpell Property

O

OnAcrossEdgeRightClick Event

OnDownEdgeRightClick Event

OnDrill Event

OnLeftClick Event

OnScroll Event

Open Method

P

PositiveSpell Constant

PositiveSpell Property

PropertyBox Method

Q

R

RefreshView Method

RemoveAllMeasures Method

RemoveMeasure Method

RestoreFromTemplateFile Method

Rotate Method

RotationBox Method

RowHeight Property

S

SaveToTemplateFile Method

SelectionBox Method

SelectionToolButton Constant

ServerType Constant

SecurityLevel Constant

SetDimDownEdgeFillColor Method

SetDimDrillDirection Method

SetDimDrillIndentation Method

SetDimHierarchyRelation Method

SetDimHierDimValue Method

SetDimLabel Method

SetDimLabelsMeasure Method

SetDimLabelType Method

SetDimUseDownEdgeFillColor Method

SetMeasAlignHorizontal Method

SetMeasAlignVertical Method

SetMeasColumnWidth Method

SetMeasDateSpell Method

SetMeasDecimals Method

SetMeasDecimalSep Method

SetMeasFalseSpell Method

SetMeasFillColor Method

SetMeasFont Method

SetMeasFontColor Method

SetMeasLabel Method

SetMeasNASpell Method

SetMeasNegativeSpell Method

SetMeasPositiveSpell Method

SetMeasPrefix Method

SetMeasRowHeight Method

SetMeasSuffix Method

SetMeasThousandsSep Method

SetMeasThreshold Method

SetMeasThresholdFillColor Method

SetMeasThresholdFont Method

SetMeasThresholdFontColor Method

SetMeasTrueSpell Method

SetMeasUseDisplayFormat Method

SetMeasUseMeasureFormat Method

SetMeasUseThresholdCoding Method

SetSelection Method

ShowPageDimBar Property

ShowToolBar Property

T

ThousandsSep Constant

ThousandsSep Property

Threshold Constant

TrueSpell Property

U

V

W

X

Y

Z

ZoomFactor Property


AcrossEdgeFillColor Property

Use the AcrossEdgeFillColor property to specify the background color of the dimension specified in the Across Edge.

Settings

Data type : Integer. A long expression that evaluates to an OLE_COLOR.


AcrossEdgeFont Property

Use the AcrossEdgeFont property to specify the font of the dimension specified in the Across Edge.

Settings

Data type : Font


AcrossEdgeFontColor Property

Use the AcrossEdgeFontColor property to specify the color of the font of the dimension specified in the Across Edge.

Settings

Data type : Integer. A long expression that evaluates to an OLE_COLOR


Align Property

The Align property is used to specify the position of the AC Olap Control in the current form. The value of the property depends on the container (Visual Basic, Delphi, Internet Explorer)

Settings

Data type : Container


AlignHorizontal Property

Use the AlignHorizontal property to specify the horizontal justification of the measures in the table.

Settings

Data type : Integer

Value	Description	Constant
0	Align text left	ahLeft
1	Center text.	ahCenter
2	Align text right	ahRight


AlignVertical Property

Use the AlignVertical property to specify the vertical justification of the measures in the table.

Settings

Data type : Integer

Value	Description	Constant
0	Align text with the top	avTop
1	Center text.	avCenter
2	Align text with the bottom	avBottom


AutoRefresh Property

The AutoRefresh property specifies whether the table is refreshed automatically after a modification to the table is done. It allows programmers to modify several properties before updating the table.

Settings

Data type : Boolean

Value	Description
True	Specifies that the table is refreshed automatically after every change.
False	Specifies that the table is not automatically refreshed.


ColumnWidth Property

The ColumnWidth property specifies the width of the column in pixels. Specify a value of 0 to accept the default column width.

Settings

Data type : ShortInteger


DateSpell Property

The DateSpell property specifies the format of date values in a table.

Settings

Data type: Integer

Value	Description	Constant
0	fd d fm yyyy	dsFormat0
1	ad d fm yyyy	dsFormat1
2	ad d am yyyy	dsFormat2
3	ad d am yy	dsFormat3
4	d fm yyyy	dsFormat4
5	d fm yy	dsFormat5
6	d am yyyy	dsFormat6
7	d am yy	dsFormat7
8	d/m/yyyy	dsFormat8
9	d/m/yy	dsFormat9
10	dd/mm/yyyy	dsFormat10
11	dd/mm/yy	dsFormat11
12	d-m-yyyy	dsFormat12
13	d-m-yy	dsFormat13
14	dd-mm-yyyy	dsFormat14
15	dd-mm-yy	dsFormat15
16	fd fm d yyyy	dsFormat16
17	ad fm d yyyy	dsFormat17
18	ad am d yyyy	dsFormat18
19	ad am d yy	dsFormat19
20	fm d yyyy	dsFormat20
21	fm d yy	dsFormat21
22	am d yyyy	dsFormat22
23	am d yy	dsFormat23
24	m/d/yyyy	dsFormat24
25	m/d/yy	dsFormat25
26	mm/dd/yyyy	dsFormat26
27	mm/dd/yy	dsFormat27
28	m-d-yyyy	dsFormat28
29	m-d-yy	dsFormat29
30	mm-dd-yyyy	dsFormat30
31	mm-dd-yy	dsFormat31
32	fm yyyy	dsFormat32
33	fm yy	dsFormat33
34	am yyyy	dsFormat34
35	am yy	dsFormat35
36	AMyyyy	dsFormat36
37	AMyy	dsFormat37


Decimals Property

The Decimals property controls the number of digits that appear to the right of the decimal in a data value in the table.

Settings

Data type: integer

The value of Decimals can be any integer from 0 to 9.


DecimalSep Property

The DecimalSep property specifies the string to use as decimal separator in data values in the table.

Settings

Data type: Integer

Value	Description	Example	Constant
0	Comma	1,01	dcComma
1	Dot	1.01	dcDot


DownEdgeFillColor Property

Use the DownEdgeFillColor property to specify the background color of the dimension specified in the Down Edge.

Settings

Data type : Integer. A long expression that evaluates to an OLE_COLOR


DownEdgeFont Property

Use the DownEdgeFont property to specify the font of the dimension specified in the Down Edge.

Settings

Data type : Font


DownEdgeFontColor Property

Use the DownEdgeFontColor property to specify the color of the font of the dimension specified in the Down Edge.

Settings

Data type : Integer. A long expression that evaluates to an OLE_COLOR


EdgeTypeAcross Property

Use the EdgeTypeAcross property to specify the format of the Across bar of the table.

Settings

Data type: Integer

Value	Description	Constant
0	Flat	etFlat
1	Raised	etRaised
2	Recessed	etRecessed


EdgeTypeDown Property

Use the EdgeTypeDown property to specify the format of the Down bar of the table.

Settings

Data type: Integer

Value	Description	Constant
0	Flat	etFlat
1	Raised	etRaised
2	Recessed	etRecessed


FalseSpell Property

Use the FalseSpell property to specify a value to show in the Boolean data cells of a table for which the value is False (Valid synonyms are NO and OFF).

Settings

Data type: String

FalseSpell can be set to any text value (Default is ‘False’)


FillColor Property

Use the FillColor property to specify the background color of the data values of a measure in the table.

Settings

Data type : Integer. A long expression that evaluates to an OLE_COLOR


Font Property

Use the Font property to specify the font of the data values of a measure in the table.

Settings

Data type : Font


FontColor Property

Use the FontColor property to specify the fontcolor of the data values of the measure in the table.

Settings

Data type : Integer. A long expression that evaluates to an OLE_COLOR


NASpell Property

Use the NASpell property to control the spelling of Na values in a table.

Settings

Data type: String

NASpell can be set to any text value.


NegativeSpell Property

Use the NegativeSpell property to specify the format of negative values in the table.

Settings

Data type: Integer

Value	Description	Example	Constant
0	Brackets	(1)	nsBrackets
1	MinusPrefix	-1	nsMinusPrefix
2	MinusSuffix	1-	nsMinusSuffix


PositiveSpell Property

Use the PositiveSpell property to specify the format of positive values in the table.

Settings

Data type: Integer

Value	Description	Example	Constant
0	Normal	1	psNormal
1	PlusPrefix	+1	psPlusPrefix
2	PlusSuffix	1+	psPlusSuffix


RowHeight Property

The RowHeight property specifies the height of the rows in pixels. Specify a value of 0 to accept the default row height.

Settings

Data type : ShortInteger


ShowPageDimBar Property

The ShowPageDimBar property specifies whether the Dimension Bar on the Page Edge is shown to the user or not. It allows programmers to personalize screens and to limit certain possibilities to users.

Settings

Data type : Boolean

Value	Description
True	The Page Dimension Bar is visible.
False	The Page Dimension Bar is not visible.


ShowToolBar Property

The ShowToolBar property specifies whether the toolbar is shown to the user or not. It allows programmers to personalize screens and to limit certain possibilities to users.

Settings

Data type : Boolean

Value	Description
True	The Toolbar is visible.
False	The Toolbar is not visible.


ThousandsSep Property

The ThousandsSep property controls the character to use for separating thousands in data values in the table.

Settings

Data type: Integer

Value	Description	Example	Constant
0	Comma	1,000	tsComma
1	Dot	1.000	tsDot
2	Space	1 000	TsSpace
3	None	1000	TsNone


TrueSpell Property

Use the TrueSpell property controls the spelling of Boolean data values for which the value is True (Valid synonyms are YES and ON).

Settings

Data type: String

TrueSpell can be set to any text value (Default is ‘True’)


ZoomFactor Property

The ZoomFactor property specifies a percentage to zoom for displaying a table. Its initial value is 100 percent. When you zoom, all the fonts in the table are scaled by the same percentage.

Settings

Data type: Integer

The value of ZoomFactor is a percentage between 50 and 200.


AddCustomMeasure Method

Use the AddCustomMeasure Method to add a Custom Measure to the Measure list.

Return Value

Boolean. True indicates the custom measure was successfully created. False indicates failure to create the custom measure.

Syntax

AddCustomMeasure ( Name, Expression, Database )

Arguments

Name

String. The name of the new custom measure.

Expression

String. The definition of the custom measure. This definition must be a valid Oracle Express Expression .

Database

The name of a database in the current database list.


AddMeasure Method

Use the AddMeasure method to add a measure to the table. This measure will be added to the current list of measures in the table.

Return Value

Boolean. True indicates the measure was successfully added. False indicates failure to add the measure.

Syntax

AddMeasure (MeasureName)

Arguments

MeasureName

The name of an existing measure from a database in the current database list.


ChangeEdge Method

Use the ChangeEdge method to move a dimension to another edge in the table. You can move a dimension to the Across edge, the Down edge or the Page edge. If a dimension is moved to the Page edge it is automatically moved after the last dimension which is currently in the Page edge. This method is comparable to the Move Method. The difference is that the ChangeEdge method is independent of other dimensions whereas the Move method specifies the new position of a dimension in relation to another dimension.

Return Value

Boolean. True indicates the change was successful. False indicates failure to change the edge of the dimension.

Syntax

ChangeEdge (DimensionName, Integer)

Arguments

DimensionName

The name of the dimension you wish to move to another edge.

 	Integer

Indicates the edge to which you wish to move DimensionName.

Value	Description
1	Across Edge
2	Down Edge
3	Page Edge

  See Also


Close Method

Use the Close method to close an Express database. This database will be removed from the current list of databases.

Return Value

Boolean. True indicates the database was successfully closed. False indicates failure to close the database.

Syntax

Close (DatabaseName)

Arguments

DatabaseName

The name of the database to detach.


Connect Method

Use the Connect method to establish a connection with Oracle Personal Express or Oracle Express Server.

Note : It is good programming practice to set the necessary Express Options immediately after the Connect method. E.g. OkNullStatus, DivideByZero, NaSkip2, etc. To do this use the FetchData Method.

Return Value

Boolean. True indicates the connection was successfully established. False indicates the connection has failed.

Syntax

Connect ( Boolean, Server, Session, UserId, Password, Domain, Security )

Arguments

Boolean

When this argument is True a remote connection will be established with Oracle Express Server. When this argument is False, a local connection will be established with Oracle Personal Express.

Server

Optional. Indicates the type of server AC Olap Table will connect to.

Value	Description	Constant
0	Connection to Personal Express	sePersonal
1	Connection to Express Server	seServer
2	Connection to Express MDB	seDaemon
Session

Optional. Indicates the session to connect to. Enables the sharing of workspaces.

Valid options :

Server Type	Server Type Description	Session	Session Description
0	Connection to Personal Express	NA	Not valid with a Personal Express Connection
1	Connection to Express Server	0	Starts a new session
1	Connection to Express Server	A number from 1 to 2 million	Uses the sessionhandle of the active session
2	Connection to Express MDB	String	The ConnectString of Express MDB
UserId

Optional.

Password

The password is obligatory and relevant only if a userid is specified.

Domain

Optional. The domain name of NT. Valid only for Express Server 6.x on a Windows NT platform.

Security

The level of security on a Windows NT platform. Determines at which level the connection will be checked for userid and password. The security is obligatory and relevant only if a domain name is specified.

Value	Description	Constant
0	No security	slNone
1	Connect level	slConnect
2	Call level	slCall
3	Packet level	slPacket
4	Integrity level	slIntegrity
5	Privacy level	slPrivacy

Valid combinations of Connect argument

1) Connect to Personal Express :

Call ACOTable.Connect(False)

Call ACOTable.Connect(False, 0)

2) Connect to Express Server on a local Windows NT server :

Call ACOTable.Connect(False, 1) (not yet implemented)

Call ACOTable.Connect(False, 1, session) (not yet implemented)

Call ACOTable.Connect(False, 1, session, userid, password) (not yet implemented)

Call ACOTable.Connect(False, 1, session, userid, password, domain,security) (not yet implemented)

3) Connect to Express Server on a remote Windows NT server :

Call ACOTable.Connect(True)

Call ACOTable.Connect(True, 1)

Call ACOTable.Connect(True, 1, session)

Call ACOTable.Connect(True, 1, session, userid, password)

Call ACOTable.Connect(True, 1, session, userid, password, domain, security) (not yet implemented)

4) Connect to Express MDB on a Unix server :

Call ACOTable.Connect(True, 2)

Call ACOTable.Connect(True, 1, session)

Call ACOTable.Connect(True, 1, session, userid, password)

  See Also


CopyConnect Method

Use the CopyConnect method to copy the connection from an existing AC Olap Table to another AC Olap Table. The target AC Olap Table will then use the same connection to Oracle Personal Express or Oracle Express Server.

Return Value

Boolean. True indicates the connection was successfully established. False indicates the connection has failed.

Syntax

CopyConnect (Server, ConnectionType)

Arguments

Server

An integer identifying the connection to Oracle Express. Use the GetConnectionHandle Method to identify this integer value.

Connection Type

An integer identifying the connection type to Oracle Express. Use the GetConnectionType Method to identify this value.

Example

To copy the existing connection of ACOTable to a new ACOTable :

Call ACOTable2.CopyConnect(ACOTable1.GetConnectionHandle ( ), ACOTable1.GetConnectionType ( ) )

  See Also


CopyToClipboard Method

Use the CopyToClipboard method to copy the contents of the AC Olap Table to the clipboard. The CopyToClipboard method copies the data values for all dimension values in the Down and the Across edge and for the current values of the dimensions in the Page Edge.

Return Value

Boolean. True indicates the copy succeeded.

Syntax

CopyToClipboard ( )

Arguments

None.


DimensionPropertyBox Method

Use the DimensionPropertyBox method to display the Dimension Property Box to the screen. Calling the DimensionPropertyBox method without argument opens a list of dimensions to choose from.

Return Value

None

Syntax

DimensionPropertyBox (DimensionName)

Arguments

DimensionName

The name of a dimension currently displayed in one of the edges of the table. (Optional)


Disconnect Method

Use the Disconnect method to close the current connection to Oracle Personal Express or Oracle Express Server.

Return Value

Boolean. True indicates success.

Syntax

Disconnect ( )

Arguments

None.

  See Also


FetchData Method

Use the FetchData method to retrieve any kind of information or data from the attached databases.

Return Value

Variant. Data value or Text string.

Syntax

FetchData (Command )

Arguments

Command

A valid Express command.

  See Also


GetConnectionHandle Method

Use the GetConnectionHandle method to retrieve the server identification of a connection which is currently established. You will need this server identification if you wish to copy a connection from one AC Olap Table to another.

Return Value

Integer.

Syntax

GetConnectionHandle ( )

Arguments

None.

Example

To copy the existing connection of ACOTable to a new ACOTable :

Call ACOTable2.CopyConnect(ACOTable1.GetConnectionHandle ( ), ACOTable1.GetConnectionType ( ) )

  See Also


GetConnectionType Method

Use the GetConnectionType method to retrieve the type of a connection which is currently established.

Return Value

Integer.

Value	Description
0	No current connection established
1	Local Connection to Oracle Personal Express
2	Remote Connection to Oracle Express Server

Syntax

GetConnectionType ( )

Arguments

None.

Example

To copy the existing connection of ACOTable1 to a new ACOTable :

Call ACOTable2.CopyConnect(ACOTable1.GetConnectionHandle ( ), ACOTable1.GetConnectionType ( ) )

  See Also


GetCubeDimensions Method

Use the GetCubeDimensionsValue method to retrieve the number of dimensions from the current table.

Return Value

ShortInteger.

Syntax

GetCubeDimensions ( Dimensions, Edges )

Arguments

Dimensions

One of the dimensions of the array.

Edges

One of the edges of the array.

Example

The following code retrieves the dimensions and its edge from the table, stores the current selection in an array and uses this information in a second program to restore the table to its original format:

‘ Store the current selection of dimension names (Dims) in an array (Sels)

Dim I

Dim Count

Dim Dims

Dim Edges

Dim Sels ( )

Count = ACOTable.GetCubeDimensions(Dims, Edges)

ReDim Sels(Count-1)

For I = 0 To Count-1

  Sels(I) = ACOTable.GetSelection(Dims(I))

Next

‘ Restore the format of the original table using the information in the array (Sels)

For I = 0 To Count-1

  Call ACOTable.ChangeEdge(Dims(i), Edges(i))

  Call ACOTable.SetSelection(Dims(i), 0, Sels(i))

Next


GetDataValue Method

Use the GetDataValue method to retrieve the contents of a cell from the AC Olap Table.

Return Value

Variant.

Syntax

GetDataValue ( Column, Row, Format )

Arguments

Column

Integer value indicating a column number in the table. This value is zero based (i.e. the first column in the table has value 0, the second column in the table has value 1, etc.).

Row

Integer value indicating a row number in the table. This value is zero based (i.e. the first row in the table has value 0, the second row in the table has value 1, etc.).

Format

Boolean.

Value	Description
True	The return value will be formatted.
False	The return value will have the default format.

  See Also


GetDimDownEdgeFillColor Method

Use the GetDimDownEdgeFillColor method to retrieve the background color of a specific dimension in the Down Edge.

AC Olap Table enables you to change the color of an individual dimension in the Down Edge. This is extremely useful when you have two dimensions in the Down Edge. It makes the table overview very clear and readable. You can change the color of a down dimension with the SetDimDownEdgeFillColor Method.

Return Value

Data type: OLE_COLOR

Syntax

GetDimDownEdgeFillColor ( DimensionName )

Arguments

DimensionName

The name of a dimension from one of the attached databases.

  See Also


GetDimDrillDirection Method

Use the GetDimDrillDirection method to retrieve the direction of drilling through a hierarchical dimension.

Return Value

Integer.

Value	Description
0	Drill Down
1	Drill Up

Syntax

GetDimDrillDirection ( DimensionName )

Arguments

DimensionName

The name of a dimension currently displayed in one of the edges of the table.

  See Also


GetDimDrillIndentation Method

Use the GetDimDrillIndentation method to retrieve the number of characters used for the indentation of a hierarchical dimension.

When the Drill Indentation is set to 1, AC Olap Table will increment the indentation with 1 character for every level in the hierarchical dimension starting with level 2. E.g. A hierarchical dimension TIME, with 4 levels (YEAR - QUARTER - MONTH - WEEK) will have an indentation of 0 characters for the YEAR level, 1 for the Quarter level, 2 for the MONTH level and 3 for the WEEK level.

Return Value

Integer. A value from 0 to 10.

Syntax

GetDimDrillIndentation ( DimensionName)

Arguments

DimensionName

The name of a hierarchical dimension.

  See Also


GetDimHierarchyRelation Method

Use the GetDimHierarchyRelation method to retrieve the hierarchy relation currently used for a dimension.

Return Value

String. A valid Express hierarchy relation.

Syntax

GetDimHierarchyRelation ( DimensionName )

Arguments

DimensionName

The name of a dimension currently displayed in one of the edges of the table.

  See Also


GetDimHierDimValue Method

Use the GetDimHierDimValue method to retrieve the value of a hierarchy dimension which is currently used to specify the hierarchical relation of a dimension in the table.

By default the hierarchy dimension value is the first value of the hierarchy dimension. The hierarchy specified for this value will be used to drill down the dimension.

In case of multiple hierarchies, you can change the value of the hierarchy dimension with the SetDimHierDimValue Method.

Return Value

String. A value from an Express dimension.

Syntax

GetDimHierDimValue ( DimensionName1, DimensionName2 )

Arguments

DimensionName1

The name of a dimension currently displayed in one of the edges of the table.

DimensionName2

The name of a hierarchy dimension related to DimensionName1

  See Also


GetDimLabel Method

Use the GetDimLabel method to retrieve the long or short label of a dimension.

Return Value

String.

Syntax

GetDimLabel ( DimensionName, Label )

Arguments

DimensionName

The name of a dimension currently displayed in one of the edges of the table.

Label

Integer value indicating the type of label you wish to retrieve.

Value	Description	Constant
0	Short Label	lbShort
1	Long Label	lbLong


GetDimLabelsMeasure Method

Use the GetDimLabelsMeasure method to identity the measure which is used as label for a dimension.

Return Value

String. The name of a measure from one of the databases from the current database list.

Syntax

GetDimLabelsMeasure ( DimensionName, Label )

Arguments

DimensionName

The name of a dimension currently displayed in one of the edges of the table.

Label

Integer value indicating the type of label for which you wish to retrieve the measurename.

Value	Description	Constant
0	Short Label	lbShort
1	Long Label	lbLong


GetDimLabelType Method

Use the GetDimLabelType method to retrieve the type of label that will be displayed in the table for a specific edge.

AC Olap Table enables you to change the display of the dimension values according to the edge where it is displayed. E.g. You can specify long labels for the page and down edge and short labels for the across edge. When the dimension is then moved from the down edge to the across edge, AC Olap Table will automatically change the labels.

Return Value

Integer.

Value	Description
0	Dimension Value
1	Short Label
2	Long Label

Syntax

GetDimLabelType ( DimensionName, Edge )

Arguments

DimensionName

The name of a dimension currently displayed in one of the edges of the table.

Edge

Integer value indicating one of the three edges in the table.

Value	Description
1	Across Edge
2	Down Edge
3	Page Edge


GetDimUseDownEdgeFillColor Method

Use the GetDimUseDownEdgeFillColor method to check if the DownEdgeFillColor for a specific dimension is used or not.

AC Olap Table enables you to change the color of an individual dimension in the Down Edge. This is extremely useful when you have two dimensions in the Down Edge. It makes the table overview very clear and readable. You can change the color of a down dimension with the SetDimDownEdgeFillColor Method

Note: Setting the color of an individual down dimension will only have effect if the UseDimDownEdgeFillColor property of this dimension is True. You can change the value of this property with the SetDimUseDownEdgeFillColor Method .

Return Value

Data type: Boolean

Value	Description
True	The dimension will use the background color as defined in the DimDownEdgeFillColor property of the Dimension Property Box.
False	The dimension will use the background color as defined in the General Measure Properties.

Syntax

GetDimUseDownEdgeFillColor ( DimensionName )

Arguments

DimensionName

The name of a dimension from one of the attached databases.

  See Also


GetDimValue Method

Use the GetDimValue method to retrieve the value of a dimension in the table.

Return Value

String. A value of an Express dimension.

Returns nothing when a column or row value is specified that does not exist in the current table.

Syntax

GetDimValue ( DimensionName, Column, Row, LabelType )

Arguments

DimensionName

The name of a dimension currently displayed in one of the edges of the table.

Column

Integer value indicating a column number in the table. Zero based (i.e. the first column in the table has value 0, the second column in the table has value 1, etc.).

Row

Integer value indicating a row number in the table. Zero based (i.e. the first row in the table has value 0, the second row in the table has value 1, etc.).

LabelType

Integer value indicating the type of label you wish to retrieve of the specific dimension value.

Value	Description
0	Dimension Value
1	Short Label
2	Long Label


GetMeasAlignHorizontal Method

Use the GetMeasAlignHorizontal method to retrieve the horizontal alignment of a specific measure.

Return Value

Data type: Integer

Value	Description	Constant
0	Align text left	ahLeft
1	Center text	ahCenter
2	Align text right	ahRight

Syntax

GetMeasAlignHorizontal ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasAlignVertical Method

Use the GetMeasAlignVertical method to retrieve the vertical alignment of a specific measure.

Return Value

Data type: Integer

Value	Description	Constant
0	Align text with the top	avTop
1	Center text	avCenter
2	Align text with the bottom	avBottom

Syntax

GetMeasAlignVerticall ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasColumnWidth Method

Use the GetMeasColumnWidth method to retrieve the column width of a specific measure. By default, the column width is 0. This means that the default settings from the general measure properties are applied. To apply the measure properties to an individual measure, use the SetMeasUseDisplayFormat method. If the column width is not the default, it will be specified in pixels.

Return Value

Integer. The number of pixels of the column.

When the default settings are specified the return value will be 0.

Syntax

GetMeasColumnWidth ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasDateSpell Method

Use the GetMeasDateSpell method to retrieve the format of date values for a specific measure.

Return Value

Integer. A value from 0 to 37.

Value	Description	Constant
0	fd d fm yyyy	dsFormat0
1	ad d fm yyyy	dsFormat1
2	ad d am yyyy	dsFormat2
3	ad d am yy	dsFormat3
4	d fm yyyy	dsFormat4
5	d fm yy	dsFormat5
6	d am yyyy	dsFormat6
7	d am yy	dsFormat7
8	d/m/yyyy	dsFormat8
9	d/m/yy	dsFormat9
10	dd/mm/yyyy	dsFormat10
11	dd/mm/yy	dsFormat11
12	d-m-yyyy	dsFormat12
13	d-m-yy	dsFormat13
14	dd-mm-yyyy	dsFormat14
15	dd-mm-yy	dsFormat15
16	fd fm d yyyy	dsFormat16
17	ad fm d yyyy	dsFormat17
18	ad am d yyyy	dsFormat18
19	ad am d yy	dsFormat19
20	fm d yyyy	dsFormat20
21	fm d yy	dsFormat21
22	am d yyyy	dsFormat22
23	am d yy	dsFormat23
24	m/d/yyyy	dsFormat24
25	m/d/yy	dsFormat25
26	mm/dd/yyyy	dsFormat26
27	mm/dd/yy	dsFormat27
28	m-d-yyyy	dsFormat28
29	m-d-yy	dsFormat29
30	mm-dd-yyyy	dsFormat30
31	mm-dd-yy	dsFormat31
32	fm yyyy	dsFormat32
33	fm yy	dsFormat33
34	am yyyy	dsFormat34
35	am yy	dsFormat35
36	AMyyyy	dsFormat36
37	AMyy	dsFormat37

Syntax

GetMeasDateSpell ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasDecimals Method

Use the GetMeasDecimals method to retrieve the number of decimals for a specific measure.

Return Value

Integer. A value from 0 to 9.

Syntax

GetMeasDecimals ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasDecimalSep Method

Use the GetMeasDecimalSep method to retrieve the format of the decimal separator of a specific measure.

Return Value

Data type: Integer

Value	Description	Constant
0	Comma	dcComma
1	Dot	dcDot

Syntax

GetMeasDecimalSep ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasFalseSpell Method

Use the GetMeasFalseSpell method to retrieve the format of the Boolean data values that are False.

Return Value

Data type: String

Syntax

GetMeasFalseSpell ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasFillColor Method

Use the GetMeasFillColor method to retrieve the background color of a specific measure.

Return Value

Data type: OLE_COLOR

Syntax

GetMeasFillColor ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasFontColor Method

Use the GetMeasFontColor method to retrieve the font color of a specific measure.

Return Value

Data type: OLE_COLOR

Syntax

GetMeasFontColor ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasLabel Method

Use the GetMeasLabel method to retrieve the label of a measure as it will appear in the table.

Return Value

String.

Syntax

GetMeasLabel ( MeasureName, Label )

Arguments

MeasureName

The name of a measure currently displayed in one of the edges of the table.

Label

Integer value indicating the type of label you wish to retrieve.

Value	Description	Constant
0	Short Label	lbShort
1	Long Label	lbLong


GetMeasNASpell Method

Use the GetMeasNASpell method to retrieve the format of the data values that are NA .

Return Value

Data type: String

Syntax

GetMeasNASpell ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasNegativeSpell Method

Use the GetMeasNegativeSpell method to retrieve the format of negative values for a specific measure.

Return Value

Data type: Integer

Value	Description	Constant
0	Brackets	nsBrackets
1	MinusPrefix	nsMinusPrefix
2	MinusSuffix	nsMinusSuffix

Syntax

GetMeasNegativeSpell ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasPositiveSpell Method

Use the GetMeasPositiveSpell method to retrieve the format of positive values for a specific measure.

Return Value

Data type: Integer

Value	Description	Constant
0	Normal	psNormal
1	PlusPrefix	psPlusPrefix
2	PlusSuffix	psPlusSuffix

Syntax

GetMeasPositiveSpell ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasPrefix Method

Use the GetMeasPrefix method to retrieve the prefix of a specific measure.

Return Value

Data type: String

Syntax

GetMeasPrefix ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasRowHeight Method

Use the GetMeasRowHeight method to retrieve the row height of a specific measure. By default, the row height is 0. This means that the default settings from the general measure properties are applied. To apply the measure properties to an individual measure, use the SetMeasUseDisplayFormat method. If the row height is not the default, it will be specified in pixels.

Return Value

Integer. The number of pixels of the row.

When the default settings are specified the return value will be 0.

Syntax

GetMeasRowHeight ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasSuffix Method

Use the GetMeasSuffix method to retrieve the suffix of a specific measure.

Return Value

Data type: String

Syntax

GetMeasSuffix ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasThousandsSep Method

Use the GetMeasThousandsSep method to retrieve the format of the thousand separator of a specific measure.

Return Value

Data type: Integer

Value	Description	Constant
0	Comma	tsComma
1	Dot	tsDot
2	Space	TsSpace
3	None	TsNone

Syntax

GetMeasThousandsSep ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasThreshold Method

Use the GetMeasThreshold method to retrieve the threshold value of a specific measure for a given threshold.

Return Value

Data type: Decimal.

Syntax

GetMeasThreshold ( MeasureName, Threshold)

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

Threshold

The threshold for which you wish to retrieve the threshold value.

Value	Description	Constant
0	High Value	trHigh
2	Low Value	trLow

  See Also


GetMeasThresholdFillColor Method

Use the GetMeasThresholdFillColor method to retrieve the background color of a specific measure for a given threshold .

Return Value

Data type: OLE_COLOR

Syntax

GetMeasThresholdFillColor ( MeasureName, Threshold)

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

Threshold

The threshold for which you wish to retrieve the background color.

Value	Description	Constant
0	High Value	trHigh
1	Middle Value	trMiddle
2	Low Value	trLow

  See Also


GetMeasThresholdFontColor Method

Use the GetMeasThresholdFontColor method to retrieve the font color of a specific measure for a given threshold .

Return Value

Data type: OLE_COLOR

Syntax

GetMeasThresholdFontColor ( MeasureName, Threshold)

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

Threshold

The threshold for which you wish to retrieve the font color.

Value	Description	Constant
0	High Value	trHigh
1	Middle Value	trMiddle
2	Low Value	trLow

  See Also


GetMeasTrueSpell Method

Use the GetMeasTrueSpell method to retrieve the format of the Boolean data values that are True.

Return Value

Data type: String

Syntax

GetMeasTrueSpell ( MeasureName )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

  See Also


GetMeasUseDisplayFormat Method

Use the GetMeasUseDisplayFormat method to check if the DisplayFormat for the specific measure is used.

By default a measure will take the properties as defined in the General Measure Properties. If the DisplayFormat option is true, then the measure will use its own display properties.

Return Value

Data type: Boolean

Value	Description
True	The measure will use the display properties as defined in the display tag of the Measure Property Box
False	The measure will use the display properties as defined in the General Measure Properties.

Syntax

GetMeasUseDisplayFormat ( MeasureName )

Arguments

MeasureName

The name of a measure currently shown in the table.

  See Also


GetMeasUseMeasureFormat Method

Use the GetMeasUseMeasureFormat method to check if the MeasureFormat for the specific measure is used.

By default a measure will take the properties as defined in the General Measure Properties. If the MeasureFormat option is true, then the measure will use its own measure properties.

Return Value

Data type: Boolean

Value	Description
True	The measure will use the measure properties as defined in the measure tag of the Measure Property Box.
False	The measure will use the measure properties as defined in the General Measure Properties.

Syntax

GetMeasUseMeasureFormat ( MeasureName )

Arguments

MeasureName

The name of a measure currently shown in the table.

  See Also


GetMeasUseThresholdCoding Method

Use the GetMeasUseThresholdCoding method to check if the ThresholdCoding for the specific measure is enabled.

By default a measure will take the color properties as defined in the General Measure Properties. If the ThresholdCoding is enabled, then the measure will take the color properties as defined in the Threshold Tag of the Measure property box.

Return Value

Data type: Boolean

Value	Description
True	Threshold Coding is enabled.
False	Threshold Coding is disabled.

Syntax

GetMeasUseThresholdCoding ( MeasureName )

Arguments

MeasureName

The name of a measure currently shown in the table.

  See Also


GetOpenDatabases Method

Use the GetOpenDatabases method to retrieve the number of databases in the current database list.

Return Value

ShortInteger.

Syntax

GetOpenDatabases ( Databases )

Arguments

Databases

The name of the database.

Example

The following code retrieves the database names one by one and shows the list of databases in a message box.

Dim I

Dim Count

Dim Dtb

Dim List

Count = ACOTable.GetOpenDatabases(Dtb)

For I = 0 To Count-1

    List = List & " " & Dtb(I)

Next

List = "DataBase List : " & List

Call MsgBox List


GetSelection Method

Use the GetSelection method to retrieve the current selection of a dimension.

Return Value

String. A valid Express LIMIT command.

Syntax

GetSelection (DimensionName)

Arguments

DimensionName

The name of a dimension in the currently displayed table.


GotoPage Method

Use the GotoPage method to change the data page of the table. This method enables you to page directly to a specific value of a dimension in the page edge. The dimension whose value you specify must be in the page edge of the view. The value specified must be in the current status.

Return Value

Boolean. True indicates the change was successful. False indicates failure to change to the specified value.

Syntax

GotoPage (DimensionName, Integer)

Arguments

DimensionName

The name of a dimension in the page edge.

Integer

The position in the current status list of the value of DimensionName you wish to page to.


Help Method

Use the Help method to display the AC Olap Table help screen.

Return Value

None

Syntax

Help ( )

Arguments

None.


MeasureBox Method

Use the MeasureBox method to display the Measure Dialog Box .to the screen.

Return Value

Boolean. True indicates the Measure Dialog Box was successfully displayed. False indicates failure to display the Measure Dialog Box.

Syntax

MeasureBox ( )

Arguments

None.


MeasurePropertyBox Method

Use the MeasurePropertyBox method to display the Measure Property Box to the screen. Calling the MeasurePropertyBox method without argument opens a list of measures to choose from.

Return Value

None

Syntax

MeasurePropertyBox (Measure)

Arguments

Measure

The name of a measure currently displayed in one of the edges of the table. (Optional)


Move Method

The Move method can be used in 2 ways:

1) Use the Move method to move a dimension to another position in the table in relation to another dimension. You can move a dimension after or before another dimension in another edge node or after or before another dimension within the same edge.

This method is comparable to the ChangeEdge Method. The difference is that the Move method is using the position of another dimension as a reference whereas the ChangeEdge method is independent of other dimensions.

2) Use the Move method to move a measure to another position in the measurelist in relation to another measure.

Return Value

Boolean. True indicates the move was successful. False indicates failure to move the dimension or measure.

Syntax

Move (Name1, Boolean, Name2)

Arguments

Name1

The name of the dimension or measure you wish to move to another position.

Boolean

Indicates the position of Name1 to Name2. True indicates Before, False indicates After.

Name2

The target dimension or measure after or before you wish to move Name1. If Name1 is the name of a dimension, Name2 should also be a dimension. If Name1 is the name of a measure, Name2  should also be the name of a measure.

Example

1) To move the PRODUCT dimension after the GEOGRAPHY dimension in the table:

Call ACOTable.Move(“PRODUCT”, False, “GEOGRAPHY”)

2) To move the measure ACTUALS before the measure BUDGET:

Call ACOTable.Move(“ACTUALS”, True, “BUDGET”)

  See Also


Open Method

Use the Open method to open an Express database. This database will be added to the current list of open databases.

Return Value

Boolean. True indicates the database was successfully opened. False indicates failure to open the database.

Syntax

Open (DatabaseName, Boolean, Password)

Arguments

DatabaseName

The name of the database to attach, including the complete pathname.

Boolean

When this argument is True, the database will be attached in Read Only mode. When False, the database will be attached in Read Write mode.

Password

Optional. The password of the Express database. If the Express database contains a program called PERMIT_READ or PERMIT_WRITE, this password will be passed on as an argument to these programs. This enables you to pass e.g. the username to the database permission programs. Refer to the Oracle Express Documentation for more info on the PERMIT statement.


PropertyBox Method

Use the PropertyBox method to display the AC Olap Table  PropertyBox to the screen.

Return Value

None

Syntax

PropertyBox ( )

Arguments

None.


RefreshView Method

Use the RefreshView method to refresh the table. This method can be used if the AutoRefresh property is set to False and after several properties have been modified.

Return Value

None

Syntax

RefreshView ( )

Arguments

None.


RemoveAllMeasures Method

Use the RemoveAllMeasures method to remove all measures from the table. The RemoveAllMeasures will also remove all saved custom measures.

Return Value

Boolean. True indicates all measures were successfully removed. False indicates failure to remove all measures.

Syntax

RemoveAllMeasures ( )

Arguments

None.


RemoveMeasure Method

Use the RemoveMeasure method to remove a measure from the table.

Return Value

Boolean. True indicates the measure was successfully removed. False indicates failure to remove the measure.

Syntax

RemoveMeasure (MeasureName)

Arguments

MeasureName

The name of a measure which is currently displayed in the table.


RestoreFromTemplateFile Method

Use the RestoreFromTemplateFile method to restore an AC Olap Table template file. A template file contains the properties and database information of an AC Olap Table that has been previously saved. You can restore a template file which has been saved locally or on a network, or you can restore a template file which has been saved to a web server. A table can be saved using the SaveToTemplateFile Method.

Note 1: The template files can be distributed for use by other users. But as the database and path name information are included in the template file, you can only distribute files to users that share the same database (i.e. in a network environment) or that use a local copy of the database with the same name and located in a directory with the same name.

Note 2: A template file also contains the selections of the dimensions of the table at the time they were saved. It the RestoreFromTemplateFile Method can not restore these selections, e.g. in case values were removed, then it will replace the saved selection with a default selection for the specific dimension.

Return Value

Boolean. True indicates the template file was successfully restored. False indicates failure to restore the template file.

Syntax

RestoreFromTemplateFile (FileName, UseActiveConnection)

Arguments

FileName

The name of the file and its full directory if the file is an AC Olap Table template file (extension ACT); the name of the file and its internet address if the file is an AC Olap Table Server template file (extension WST).

UseActiveConnection

Boolean. When restoring a template file, AC Olap Table will by default disconnect and reconnect to Express using the connection information from the template file. To use the current connection set the UseActiveConnection to True.

Example

1) To restore an AC Olap Table Template file (extension ACT) :

Call ACOTable.RestoreFromTemplateFile(“C:\ACOTable\Table1.ACT”)

2) To restore an AC Olap Table Server Template file (extension WST) :

Call ACOTable.RestoreFromTemplateFile(“http::/www.myaddress.be/wst/table1.wst”)

3) To restore an AC Olap Table Template file (extension ACT) using the active connection:

Call ACOTable.RestoreFromTemplateFile(“C:\ACOTable\Table1.ACT”, True)

  See Also


Rotate Method

Use the Rotate method to swap two dimensions. You can rotate two dimensions from different edges or within the same edge.

Return Value

Boolean. True indicates the rotation was successful. False indicates failure to rotate the two dimensions.

Syntax

Rotate (DimensionName1, DimensionName2)

Arguments

DimensionName1

The name of the source dimension you wish to rotate.

DimensionName2

The name of the target dimension you wish to rotate.

  See Also


RotationBox Method

Use the RotationBox method to display the Rotation Dialog Box .to the screen.

Return Value

Boolean. True indicates the Rotation Dialog Box was successfully displayed. False indicates failure to display the Rotation Dialog Box.

Syntax

RotationBox ( )

Arguments

None.


SaveToTemplateFile Method

Use the SaveToTemplateFile method to save the settings of the current table to a file. All properties and the database information, i.e. database name and pathname, will be saved to the file. This table can then later be restored using the RestoreFromTemplateFile Method.

Note: The template files can be distributed for use by other users. But as the database and pathname information are included in the template file, you can only distribute files to users that share the same database (i.e. in a network environment) or that use a local copy of the database with the same name and located in a directory with the same name.

Return Value

Boolean. True indicates the table was successfully saved. False indicates failure to save the table to a file.

Syntax

SaveToTemplateFile (FileName)

Arguments

FileName

The name of the template file and its full directory. By default, the extension of the file is ACT.

  See Also


SelectionBox Method

Use the SelectionBox method to display the Selection Dialog Box .to the screen. Calling this methods without any arguments will display the Selection Dialog Box for all dimensions currently in the table and with all available selection tools.

Return Value

Boolean. True indicates the Selection Dialog Box was successfully displayed. False indicates failure to display the Selection Dialog Box.

Syntax

SelectionBox ( Tools, DimensionName )

Arguments

Tools

The selection tool to use. (Optional)

Value	Description	Constant
1	All Selection Tool	tbAll
2	List Selection Tool	tbList
DimensionName

The name of a dimension from the current table for which to make a selection.

Example

To call the Selection Box for the dimension TIME with the List Selection tool only :

Call ACOTable.SelectionBox(2, “TIME”)


SetDimDownEdgeFillColor Method

Use the SetDimDownEdgeFillColor method to set the background color of a specific dimension in the Down Edge.

AC Olap Table enables you to change the color of an individual dimension in the Down Edge. This is extremely useful when you have two dimensions in the Down Edge. It makes the table overview very clear and readable.

Note: Setting the color of an individual down dimension will only have effect if the UseDimDownEdgeFillColor property of this dimension is True. You can change the value of this property with the SetDimUseDownEdgeFillColor Method .

Return Value

Boolean. True indicates the property was successfully set. False indicates failure to set the property.

Syntax

SetDimDownEdgeFillColor ( DimensionName , Color)

Arguments

DimensionName

The name of a dimension from one of the attached databases.

Color

Data type: OLE_COLOR


SetDimDrillDirection Method

Use the SetDimDrillDirection method to set the direction of drilling through a hierarchical dimension.

Return Value

Boolean. True indicates the drill direction was successfully set. False indicates failure to set the drill direction.

Syntax

SetDimDrillDirection ( DimensionName, DrillDirection )

Arguments

DimensionName

The name of a dimension currently displayed in one of the edges of the table.

DrillDirection

Integer.

Value	Description
0	Drill Down
1	Drill Up

  See Also


SetDimDrillIndentation Method

Use the SetDimDrillIndentation method to set the number of characters used for the indentation of a hierarchical dimension.

When the Drill Indentation is set to 1, AC Olap Table will increment the indentation with 1 character for every level in the hierarchical dimension starting with level 2. E.g. A hierarchical dimension TIME, with 4 levels (YEAR - QUARTER - MONTH - WEEK) will have an indentation of 0 characters for the YEAR level, 1 for the Quarter level, 2 for the MONTH level and 3 for the WEEK level.

Return Value

Boolean. True indicates the drill indentation was successfully set. False indicates failure to set the drill indentation.

Syntax

SetDimDrillIndentation ( DimensionName, IndentValue)

Arguments

DimensionName

The name of a hierarchical dimension.

IndentValue

A value from 0 to 10.

  See Also


SetDimHierarchyRelation Method

Use the SetDimHierarchyRelation method to set the hierarchy relation currently used for a dimension.

Return Value

Boolean. True indicates the hierarchy relation was successfully set. False indicates failure to set the hierarchy relation.

Syntax

SetDimHierarchyRelation ( DimensionName, RelationName )

Arguments

DimensionName

The name of a dimension currently displayed in one of the edges of the table.

RelationName

String. A valid Express hierarchy relation.

  See Also


SetDimHierDimValue Method

Use the SetDimHierDimValue method to set the value of a hierarchy dimension that contains the hierarchical relation for a dimension in the table.

By default the hierarchy dimension value is the first value of the hierarchy dimension. The hierarchy specified for this value will be used to drill down the dimension.

Return Value

Boolean. True indicates the hierarchy dimension value was successfully set. False indicates failure to set the hierarchy dimension value.

Syntax

SetDimHierDimValue ( DimensionName1, DimensionName2, DimensionValue )

Arguments

DimensionName1

The name of a dimension currently displayed in one of the edges of the table.

DimensionName2

The name of a hierarchy dimension related to DimensionName1

DimensionValue

A value from DimensionName2

Example

Call ACOTable.SetDimHierDimValue("TIME", "T0.HIERDIM", "YTD")

  See Also


SetDimLabel Method

Use the SetDimLabel method to set the short or long label of a dimension as it will appear in the table.

Return Value

Boolean. True indicates the label was successfully set. False indicates failure to set the label.

Syntax

SetDimLabel ( DimensionName, Label, NewValue )

Arguments

DimensionName

The name of a dimension currently displayed in one of the edges of the table.

Label

Integer value indicating the type of label you wish to modify.

Value	Description	Constant
0	Short Label	lbShort
1	Long Label	lbLong
NewValue

String. The new name for the short or long label of the DimensionName.


SetDimLabelsMeasure Method

Use the SetDimLabelsMeasure method to set the measure which will be used as a short or long label for the dimension values.

Return Value

Boolean. True indicates the label was successfully set. False indicates failure to set the label.

Syntax

SetDimLabelsMeasure ( DimensionName, Label, Measure )

Arguments

DimensionName

The name of a dimension currently displayed in one of the edges of the table.

Label

Integer value indicating the type of label you wish to set.

Value	Description	Constant
0	Short Label	lbShort
1	Long Label	lbLong
Label

The name of a measure from one of the databases from the current database list dimensioned by DimensionName or DimensionName itself.


SetDimLabelType Method

Use the SetDimLabelType method to set the type of label that will be displayed in the table for a specific edge.

 AC Olap Table enables you to change the display of the dimension values according to the edge where it is displayed. E.g. You can specify long labels for the page and down edge and short labels for the across edge. When the dimension is then moved from the down edge to the across edge, AC Olap Table will automatically change the labels.

Return Value

Boolean. True indicates the label type was successfully set. False indicates failure to set the label type.

Syntax

SetDimLabelType ( DimensionName, Edge, LabelType )

Arguments

DimensionName

The name of a dimension currently displayed in one of the edges of the table.

Edge

Integer value indicating one of the three edges in the table.

Value	Description
1	Across Edge
2	Down Edge
3	Page Edge
LabelType

Integer value indicating the type of label you wish to use for the Edge.

Value	Description
0	Dimension Value
1	Short Label
2	Long Label


SetDimUseDownEdgeFillColor Method

Use the SetDimUseDownEdgeFillColor method to switch on or off the DownEdgeFillColor option for a specific dimension.

AC Olap Table enables you to change the color of an individual dimension in the Down edge. This is extremely useful when you have two dimensions in the Down edge. It makes the table overview very clear and readable. You can change the color of a down dimension with the SetDimDownEdgeFillColor Method

Return Value

Boolean. True indicates the option has been successfully set. False indicates failure to set the option.

Syntax

SetDimUseDownEdgeFillColor ( DimensionName , Boolean)

Arguments

MeasureName

The name of a dimension from one of the attached databases.

Boolean

Value	Description
True	The dimension will use the background color as specified in the DownEdgeFillColor option.
False	The dimenision will use the background color as specified in the General Properties.


SetMeasAlignHorizontal Method

Use the SetMeasAlignHorizontal method to set the horizontal alignment for a specific measure.

Note: This method will have effect only if the MeasureUseDisplayFormat for this measure is true. The value for this property can be set with the SetMeasUseDisplayFormat Method .

Return Value

Boolean. True indicates the alignment was successfully set. False indicates failure to set the alignment.

Syntax

SetMeasAlignHorizontal ( MeasureName, Alignment )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

Alignment

Integer.

Value	Description	Constant
0	Align text left.	ahLeft
1	Center text	ahCenter
2	Align text right	ahRight

  See Also


SetMeasAlignVertical Method

Use the SetMeasAlignVertical method to set the vertical alignment for a specific measure.

Note: This method will have effect only if the MeasureUseDisplayFormat for this measure is true. The value for this property can be set with the SetMeasUseDisplayFormat Method .

Return Value

Boolean. True indicates the alignment was successfully set. False indicates failure to set the alignment.

Syntax

SetMeasAlignvertical ( MeasureName, Alignment )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

Alignment

Integer.

Value	Description	Constant
0	Align text with the top	avTop
1	Center text	avCenter
2	Align text with the bottom	avBottom

  See Also


SetMeasColumnWidth Method

Use the SetMeasColumnWidth method to set the column width of a specific measure. By default, the column width is 0. This means that the default settings from the general measure properties are applied.

Note: This method will have effect only if the MeasureUseDisplayFormat for this measure is true. The value for this property can be set with the SetMeasUseDisplayFormat Method .

Return Value

Boolean. True indicates the column width was successfully set. False indicates failure to set the column width.

Syntax

SetMeasColumnWidth ( MeasureName, ColWidth )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

ColWidth

Integer. The number of pixels of the column.

  See Also


SetMeasDateSpell Method

Use the SetMeasDateSpell method to set the format of date values for a specific measure.

Note : This method will have effect only if the MeasureUseMeasureFormat for this measure is true. The value for this property can be set with the SetMeasUseMeasureFormat Method .

Return Value

Boolean. True indicates the DateSpell was successfully set. False indicates failure to set the DateSpell.

Syntax

SetMeasDateSpell ( MeasureName, DateSpell )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

DateSpell

Integer. A value from 0 to 37.

Value	Description	Constant
0	fd d fm yyyy	dsFormat0
1	ad d fm yyyy	dsFormat1
2	ad d am yyyy	dsFormat2
3	ad d am yy	dsFormat3
4	d fm yyyy	dsFormat4
5	d fm yy	dsFormat5
6	d am yyyy	dsFormat6
7	d am yy	dsFormat7
8	d/m/yyyy	dsFormat8
9	d/m/yy	dsFormat9
10	dd/mm/yyyy	dsFormat10
11	dd/mm/yy	dsFormat11
12	d-m-yyyy	dsFormat12
13	d-m-yy	dsFormat13
14	dd-mm-yyyy	dsFormat14
15	dd-mm-yy	dsFormat15
16	fd fm d yyyy	dsFormat16
17	ad fm d yyyy	dsFormat17
18	ad am d yyyy	dsFormat18
19	ad am d yy	dsFormat19
20	fm d yyyy	dsFormat20
21	fm d yy	dsFormat21
22	am d yyyy	dsFormat22
23	am d yy	dsFormat23
24	m/d/yyyy	dsFormat24
25	m/d/yy	dsFormat25
26	mm/dd/yyyy	dsFormat26
27	mm/dd/yy	dsFormat27
28	m-d-yyyy	dsFormat28
29	m-d-yy	dsFormat29
30	mm-dd-yyyy	dsFormat30
31	mm-dd-yy	dsFormat31
32	fm yyyy	dsFormat32
33	fm yy	dsFormat33
34	am yyyy	dsFormat34
35	am yy	dsFormat35
36	AMyyyy	dsFormat36
37	AMyy	dsFormat37

  See Also


SetMeasDecimals Method

Use the SetMeasDecimals method to set the number of decimals for a specific measure.

Note : This method will have effect only if the MeasureUseMeasureFormat for this measure is true. The value for this property can be set with the SetMeasUseMeasureFormat Method .

Return Value

Boolean. True indicates the Decimals property was successfully set. False indicates failure to set the Decimals property.

Syntax

SetMeasDecimals ( MeasureName, Decimals )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

Decimals

Integer. A value from 0 to 9.

  See Also


SetMeasDecimalSep Method

Use the SetMeasDecimalSep method to set the format of the decimal separator of a specific measure.

Note: This method will have effect only if the MeasureUseMeasureFormat for this measure is true. The value for this property can be set with the SetMeasUseMeasureFormat Method .

Return Value

Boolean. True indicates the DecimalSep property was successfully set. False indicates failure to set the DecimalSep property.

Syntax

SetMeasDecimalSep ( MeasureName , DecimalSep)

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

DecimalSep

Integer value.

Value	Description	Constant
0	Comma	dcComma
1	Dot	dcDot

  See Also


SetMeasFalseSpell Method

Use the SetMeasFalseSpell method to set the format of the Boolean data values that are False.

Note: This method will have effect only if the MeasureUseMeasureFormat for this measure is true. The value for this property can be set with the SetMeasUseMeasureFormat Method .

Return Value

Boolean. True indicates the property has been successfully set. False indicates failure to set the property.

Syntax

SetMeasFalseSpell ( MeasureName, FalseSpell )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

FalseSpell

String.

  See Also


SetMeasFillColor Method

Use the SetMeasFillColor method to set the background color for a specific measure.

Return Value

Boolean. True indicates the property has been successfully set. False indicates failure to set the property.

Syntax

SetMeasFillColor ( MeasureName , Color )

Arguments

MeasureName

The name of a measure currently displayed in the table.

Color

Data type: OLE_COLOR

  See Also


SetMeasFont Method

Use the SetMeasFont method to set the font for a specific measure.

Note : This method will have effect only if the MeasureUseDisplayFormat for this measure is true. The value for this property can be set with the SetMeasUseDisplayFormat Method .

Return Value

Boolean. True indicates the property has been successfully set. False indicates failure to set the property.

Syntax

SetMeasFont ( MeasureName, Font)

Arguments

MeasureName

The name of a measure currently displayed in the table.

Font

Data type: Font


SetMeasFontColor Method

Use the SetMeasFontColor method to set the font color for a specific measure.

Return Value

Boolean. True indicates the property has been successfully set. False indicates failure to set the property.

Syntax

SetMeasFontColor ( MeasureName , FontColor )

Arguments

MeasureName

The name of a measure currently displayed in the table.

FontColor

Data type: OLE_COLOR

  See Also


SetMeasLabel Method

Use the SetMeasLabel method to set the label for a specific measure as it will appear in the table.

Return Value

Boolean. True indicates the property has been successfully set. False indicates failure to set the property.

Syntax

SetMeasLabel ( MeasureName, Label , NewValue )

Arguments

MeasureName

The name of a measure currently displayed in the table.

Label

Integer value indicating the type of label you wish to set.

Value	Description	Constant
0	Short Label	lbShort
1	Long Label	lbLong
NewValue

String.


SetMeasNASpell Method

Use the SetMeasNASpell method to set the format of NA Values for a specific measure.

Note: This method will have effect only if the MeasureUseDisplayFormat for this measure is true. The value for this property can be set with the SetMeasUseDisplayFormat Method .

Return Value

Boolean. True indicates the format has been successfully set. False indicates failure to set the format.

Syntax

SetMeasNASpell ( MeasureName, NaSpell )

Arguments

MeasureName

The name of a measure displayed in the current table.

NaSpell

String.

  See Also


SetMeasNegativeSpell Method

Use the SetMeasNegativeSpell method to set the format of negative values for a specific measure.

Note: This method will have effect only if the MeasureUseMeasureFormat for this measure is true. The value for this property can be set with the SetMeasUseMeasureFormat Method .

Return Value

Boolean. True indicates the format has been successfully set. False indicates failure to set the format.

Syntax

SetMeasNegativeSpell ( MeasureName, Integer )

Arguments

MeasureName

The name of a measure displayed in the current table.

Integer

An integer value indicating the format of the NegativeSpell property.

Value	Description	Constant
0	Brackets	nsBrackets
1	MinusPrefix	nsMinusPrefix
2	MinusSuffix	nsMinusSuffix

  See Also


SetMeasPositiveSpell Method

Use the SetMeasPositiveSpell method to set the format of positive values for a specific measure.

Note: This method will have effect only if the MeasureUseMeasureFormat for this measure is true. The value for this property can be set with the SetMeasUseMeasureFormat Method .

Return Value

Boolean. True indicates the format has been successfully set. False indicates failure to set the format.

Syntax

SetMeasPositiveSpell ( MeasureName, Integer )

Arguments

MeasureName

The name of a measure displayed in the current table.

Integer

An integer value indicating the format of the PositiveSpell property.

Value	Description	Constant
0	Normal	psNormal
1	PlusPrefix	psPlusPrefix
2	PlusSuffix	psPlusSuffix

  See Also


SetMeasPrefix Method

Use the SetMeasPrefix method to set the prefix for a specific measure.

Note: This method will have effect only if the MeasureUseDisplayFormat for this measure is true. The value for this property can be set with the SetMeasUseDisplayFormat Method .

Return Value

Boolean. True indicates the Prefix property has been successfully set. False indicates failure to set the Prefix property.

Syntax

SetMeasPrefix ( MeasureName, Prefix )

Arguments

MeasureName

The name of a measure currently displayed in the table.

Prefix

String.

  See Also


SetMeasRowHeight Method

Use the SetMeasRowHeight method to set the row height for a specific measure. By default, the row height is 0. This means that the default settings from the general measure properties are applied.

Note: This method will have effect only if the MeasureUseDisplayFormat for this measure is true. The value for this property can be set with the SetMeasUseDisplayFormat Method .

Return Value

Boolean. True indicates the row height has been successfully set. False indicates failure to set the row height.

Syntax

SetMeasRowHeight ( MeasureName, RowHeight )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

RowHeight

Integer. The number of pixels of the row.

  See Also


SetMeasSuffix Method

Use the SetMeasSuffix method to set the suffix for a specific measure.

Note: This method will have effect only if the MeasureUseDisplayFormat for this measure is true. The value for this property can be set with the SetMeasUseDisplayFormat Method .

Return Value

Boolean. True indicates the Suffix property has been successfully set. False indicates failure to set the Suffix property.

Syntax

SetMeasSuffix ( MeasureName, Suffix )

Arguments

MeasureName

The name of a measure currently displayed in the table.

Suffix

String.

  See Also


SetMeasThousandsSep Method

Use the SetMeasThousandsSep method to set the format of the thousand separator for a specific measure.

Note: This method will have effect only if the MeasureUseMeasureFormat for this measure is true. The value for this property can be set with the SetMeasUseMeasureFormat Method .

Return Value

Boolean. True indicates the ThousandsSep property has been successfully set. False indicates failure to set the ThousandsSep property.

Syntax

SetMeasThousandsSep ( MeasureName, ThousandsSep )

Arguments

MeasureName

The name of a measure currently displayed in the table.

ThousandsSep

Integer value.

Value	Description	Constant
0	Comma	tsComma
1	Dot	tsDot
2	Space	TsSpace
3	None	TsNone

  See Also


SetMeasThreshold Method

Use the SetMeasThreshold method to set the threshold value for a specific measure for a given threshold.

Return Value

Boolean. True indicates the Threshold value has been successfully set. False indicates failure to set the Threshold value.

Syntax

SetMeasThreshold ( MeasureName, Threshold , NewValue)

Arguments

MeasureName

The name of a measure currently displayed in the table.

Threshold

The threshold for which you wish to set the threshold value.

Value	Description	Constant
0	High Value	trHigh
2	Low Value	trLow
NewValue

Data type: Decimal.

  See Also


SetMeasThresholdFillColor Method

Use the SetMeasThresholdFillColor method to set the background color for a specific measure for a given threshold .

Note: This method will have effect only if the MeasureUseThresholdCoding for this measure is true. The value for this property can be set with the SetMeasUseTresholdCoding Method .

Return Value

Boolean. True indicates the property has been successfully set. False indicates failure to set the property.

Syntax

SetMeasThresholdFillColor ( MeasureName, Threshold, Color)

Arguments

MeasureName

The name of a measure currently displayed in the table.

Threshold

The threshold for which you wish to set the background color.

Value	Description	Constant
0	High Value	trHigh
1	Middle Value	trMiddle
2	Low Value	trLow
Color

Data type: OLE_COLOR

  See Also


SetMeasThresholdFont Method

Use the SetMeasThresholdFont method to set the font for a specific measure for a given threshold .

Note: This method will have effect only if the MeasureUseThresholdCoding for this measure is true. The value for this property can be set with the SetMeasUseTresholdCoding Method .

Return Value

Boolean. True indicates the property has been successfully set. False indicates failure to set the property.

Syntax

SetMeasThresholdFont ( MeasureName, Threshold, Font)

Arguments

MeasureName

The name of a measure currently displayed in the table.

Threshold

The threshold for which you wish to set the font color.

Value	Description	Constant
0	High Value	trHigh
1	Middle Value	trMiddle
2	Low Value	trLow
Font

Data type: Font

  See Also


SetMeasThresholdFontColor Method

Use the SetMeasThresholdFontColor method to set the font color for a specific measure for a given threshold .

Note: This method will have effect only if the MeasureUseThresholdCoding for this measure is true. The value for this property can be set with the SetMeasUseTresholdCoding Method .

Return Value

Boolean. True indicates the property has been successfully set. False indicates failure to set the property.

Syntax

SetMeasThresholdFontColor ( MeasureName, Threshold, Color)

Arguments

MeasureName

The name of a measure currently displayed in the table.

Threshold

The threshold for which you wish to set the font color.

Value	Description	Constant
0	High Value	trHigh
1	Middle Value	trMiddle
2	Low Value	trLow
Color

Data type: OLE_COLOR

  See Also


SetMeasTrueSpell Method

Use the SetMeasTrueSpell method to set the format of the Boolean data values that are True.

Note: This method will have effect only if the MeasureUseMeasureFormat for this measure is true. The value for this property can be set with the SetMeasUseMeasureFormat Method .

Return Value

Boolean. True indicates the property has been successfully set. False indicates failure to set the property.

Syntax

SetMeasTrueSpell ( MeasureName, TrueSpell )

Arguments

MeasureName

The name of a measure in one of the databases that are currently attached.

TrueSpell

String.

  See Also


SetMeasUseDisplayFormat Method

Use the SetMeasUseDisplayFormat method to switch on or off the DisplayFormat option for a specific measure.

By default a measure will take the properties as defined in the General Measure Properties. If the DisplayFormat option is true, the measure will use its own display properties. .

Return Value

Boolean. True indicates the format has been successfully set. False indicates failure to set the format.

Syntax

SetMeasUseDisplayFormat ( MeasureName , Boolean)

Arguments

MeasureName

The name of a measure currently shown in the table.

Boolean

Value	Description
True	The measure will use the display properties as defined in the display tag of the Measure Property Box.
False	The measure will use the display properties as defined in the General Measure Properties.

  See Also


SetMeasUseMeasureFormat Method

Use the SetMeasUseMeasureFormat method to switch on or off the MeasureFormat option for a specific measure.

By default a measure will take the properties as defined in the General Measure Properties. If the MeasureFormat option is true, then the measure will use its own measure properties. .

Return Value

Boolean. True indicates the format has been successfully set. False indicates failure to set the format.

Syntax

SetMeasUseMeasureFormat ( MeasureName , Boolean)

Arguments

MeasureName

The name of a measure currently shown in the table.

Boolean

Value	Description
True	The measure will use the measure properties as defined in the measure tag of the Measure Property Box.
False	The measure will use the measure properties as defined in the General Measure Properties.

  See Also


SetMeasUseThresholdCoding Method

Use the SetMeasUseThresholdCoding method to switch on or off the Threshold Coding option for a specific measure.

Return Value

Boolean. True indicates the threshold coding has been successfully changed. False indicates failure to change the threshold coding.

Syntax

SetMeasUseThresholdCoding ( MeasureName , Boolean)

Arguments

MeasureName

The name of a measure currently shown in the table.

Boolean

Value	Description
True	AC Olap Table will apply the threshold coding properties to MeasureName.
False	AC Olap Table will not apply the threshold coding properties to MeasureName.

  See Also


SetSelection Method

Use the SetSelection method to set the selection of a dimension in the table.

Return Value

Boolean. True indicates the selection has been successfully set. False indicates failure to set the selection.

Syntax

SetSelection ( Dimension, SelectionTool, SelectionToolArguments)

Arguments

Dimension

The name of a dimension currently in the table.

SelectionTool

Integer value.

Value	Description
0	Standard script
1	All values of the dimension
2	List of values
3	Get Status
SelectionToolArguments

A list of 1 to 16 arguments depending on the SelectionTool


OnAcrossEdgeRightClick Event

The OnAcrossEdgeRightClick is triggered when the user clicks with the right mouse button on the across edge.

Return Value

None.

Syntax

OnAcrossEdgeRightClick ( column)

Arguments

Column

Integer. The number of the column on which has been clicked. Column is zero based, i.e. the first column in the across edge is column 0.


OnDownEdgeRightClick Event

The OnDownEdgeRightClick is triggered when the user clicks with the right mouse button on the down edge.

Return Value

None.

Syntax

OnDownEdgeRightClick ( row)

Arguments

Row

Integer. The number of the row on which has been clicked. Row is zero based, i.e. the first row in the down edge is row 0.


OnDrill Event

The OnDrill event is triggered when the user drills down or up a hierarchical dimension.

Return Value

None.

Syntax

OnDrill ( edge, dimension, value, direction)

Arguments

Edge

Integer. The edge on which has been drilled.

Value	Description
1	Across Edge
2	Down Edge

Dimension

String. The name of the dimension on which has been clicked.

Value

String. The value of the dimension on which has been clicked.

Direction

Integer. The drill direction.

Value	Description
1	Drill Down
2	Drill Up


OnLeftClick Event

The OnLeftClick event is triggered when the user clicks the left button in the databody of the table.

Return Value

None.

Syntax

OnLeftClick ( column, row)

Arguments

Column

Integer. The column that contains the cell on which the user has left clicked.

Row

Integer. The row that contains the cell on which the user has left clicked.


OnScroll Event

The OnScroll event is triggered when the user scrolls down or across using the vertical or horizontal elevator bars.

Return Value

None.

Syntax

OnScroll ( column, row)

Arguments

Column

Integer. The number of columns the window has scrolled right or left. Scrolling to the left return give a negative value. Horizontal scrolling will return 0.

Row

Integer. The number of rows the window has scrolled down or up. Scrolling up will return a negative value. Vertical scrolling will return 0.


Standard Script Selection Tool

Use the Standard Script Selection Tool to limit a dimension using a standard Express limit expression.

Syntax

SetSelection ( Dimension, 0, LimitExpression, Sort)

Arguments

Dimension

The name of a dimension currently in the table on which you wish to perform a selection.

0

Identifies the Standard Script selection tool.

LimitExpression

A standard Express limit command or program.

Sort

An Express sort command or program. This sort command will be applied to hierarchical dimensions only and level by level.

Example

1) To select the first 10 values of the dimension Geography :

Call ACOTable.SetSelection ( “GEOGRAPHY”, 0, “LIMIT GEOGRAPHY TO FIRST 10”)

2) Make a selection using a program and sort the dimension alphabetically :

Call ACOTable.SetSelection ( “GEOGRAPHY”, 0, “Call LMTGEOG.PRG”, “SORT GEOGRAPHY A GEOGRAPHY”)


All Selection Tool

The All Selection Tool will set the status of the dimension to all values. If the dimension is a hierarchical dimension, the All Selection Tool will set the status of the dimension to all values belonging to the current hierarchy relation.

Syntax

SetSelection ( Dimension, 1, Sort)

Arguments

Dimension

The name of a dimension currently in the table on which you wish to perform a selection.

1

Identifies the All selection tool.

LimitExpression

A standard Express limit command or program.

Sort

An Express sort command or program. This sort command will be applied to hierarchical dimensions only and level by level.

Example

Call ACOTable.SetSelection ( “GEOGRAPHY”, 1, “SORT GEOGRAPHY a GEOGRAPHY”)


List Selection Tool

Use the List Selection Tool to limit a dimension to a list of values.

Syntax

SetSelection ( Dimension, 2, SelectKeyword, ValueList, Sort)

Arguments

Dimension

The name of a dimension currently in the table on which you wish to perform a selection.

2

Identifies the List selection tool.

SelectKeyword

Value	Description
0	Select Dimension to ValueList
1	Keep ValueList from the existing status of Dimension
2	Add ValueList to the existing status of Dimension
3	Remove ValueList from the existing status of Dimension
ValueList

A list of dimension values. The values are separated by ‘/n’.

Sort

An Express sort command or program. This sort command will be applied level by level. It is valid for hierarchical dimensions only.

Example

1) To select Year 1996, 1997 and 1998 of the dimension TIME :

Call ACOTable.SetSelection ( “TIME”, 2, 0, “1996/n1997/n1998”)

2) To keep Year 1997 and 1998 from the current status of the dimension TIME :

Call ACOTable.SetSelection ( “TIME”, 2, 1, “1997/n1998”)

3) To add Year 1999 and 2000 to the current status of the dimension TIME :

Call ACOTable.SetSelection ( “TIME”, 2, 2, “1999/n2000”)

4) To remove Year 1997 from the current status of the dimension TIME :

Call ACOTable.SetSelection ( “TIME”, 2, 3, “1997”)


Get Status Selection Tool

Using the Get Status Selection Tool sets the status of the dimension in table to the values currently in status in Express.

Example

To set the status of dimension TIME equal to the current status in Express :

Call ACOTable.SetSelection ( “TIME”, 3)


AlignHorizontal Constant

The AlignHorizontal constant is used to determine the horizontal justification of the measures in the table.

Settings

The valid settings for the AlignHorizontal constant are:

Constant	Value	Description
ahLeft	0	Align text left
ahCenter	1	Center text.
ahRight	2	Align text right


AlignVertical Constant

The AlignVertical constant is used to determine the vertical justification of the measures in the table.

Settings

The valid settings for the AlignVertical constant are:

Constant	Value	Description
avTop	0	Align text with the top
avCenter	1	Center text.
avBottom	2	Align text with the bottom


DateSpell Constant

The DateSpell constant is used to determine the format of dates in a date measure in the table.

Settings

The valid settings for the DateSpell constant are:

Constant	Value	Description
dsFormat0	0	fd d fm yyyy
dsFormat1	1	ad d fm yyyy
dsFormat2	2	ad d am yyyy
dsFormat3	3	ad d am yy
dsFormat4	4	d fm yyyy
dsFormat5	5	d fm yy
dsFormat6	6	d am yyyy
dsFormat7	7	d am yy
dsFormat8	8	d/m/yyyy
dsFormat9	9	d/m/yy
dsFormat10	10	dd/mm/yyyy
dsFormat11	11	dd/mm/yy
dsFormat12	12	d-m-yyyy
dsFormat13	13	d-m-yy
dsFormat14	14	dd-mm-yyyy
dsFormat15	15	dd-mm-yy
dsFormat16	16	fd fm d yyyy
dsFormat17	17	ad fm d yyyy
dsFormat18	18	ad am d yyyy
dsFormat19	19	ad am d yy
dsFormat20	20	fm d yyyy
dsFormat21	21	fm d yy
dsFormat22	22	am d yyyy
dsFormat23	23	am d yy
dsFormat24	24	m/d/yyyy
dsFormat25	25	m/d/yy
dsFormat26	26	mm/dd/yyyy
dsFormat27	27	mm/dd/yy
dsFormat28	28	m-d-yyyy
dsFormat29	29	m-d-yy
dsFormat30	30	mm-dd-yyyy
dsFormat31	31	mm-dd-yy
dsFormat32	32	fm yyyy
dsFormat33	33	fm yy
dsFormat34	34	am yyyy
dsFormat35	35	am yy
dsFormat36	36	AMyyyy
dsFormat37	37	AMyy


DecimalSep Constant

The DecimalSep constant is used to determine the decimal separator used for the measures in the table.

Settings

The valid settings for the DecimalSep constant are:

Constant	Value	Description
dcComma	0	Comma
dcDot	1	Dot


EdgeType Constant

The EdgeType constant is used to determine the type of edge in the table.

Settings

The valid settings for the EdgeType constant are:

Constant	Value	Description
etFlat	0	Flat
etRaised	1	Raised
etRecessed	2	Recessed


Label Constant

The Label constant is used to determine which label is used in the edges in the table.

Settings

The valid settings for Label constant are:

Constant	Value	Description
lbShort	0	Short label
lbLong	1	Long label


NegativeSpell Constant

The NegativeSpell constant is used to determine the format of negative values in the table.

Settings

The valid settings for NegativeSpell constant are:

Constant	Value	Description
nsBrackets	0	Brackets
nsMinusPrefix	1	MinusPrefix
nsMinusSuffix	2	MinusSuffix


PositiveSpell Constant

The PositiveSpell constant is used to determine the format of positive values in the table.

Settings

The valid settings for the PositiveSpell constant are:

Constant	Value	Description
psNormal	0	Normal
psPlusPrefix	1	PlusPrefix
psPlusSuffix	2	PlusSuffix


ServerType Constant

The ServerType constant is used to determine the type of server table will connect to.

Settings

The valid settings for the ServerType constant are:

Constant	Value	Description
sePersonal	0	Connection to Personal Express
seServer	1	Connection to Express Server
seDaemon	2	Connection to Express MDB


SecurityLevel Constant

The SecurityLevel constant is used to determine at which level of security the connection will be checked. Valid only for connections to a Windows NT Server.

Settings

The valid settings for the SecurityLevel constant are:

Constant	Value	Description
slNone	0	No security
slConnect	1	Connect level
slCall	2	Call level
slPacket	3	Packet level
slIntegrity	4	Integrity level
slPrivacy	5	Privacy level


SelectionToolButton Constant

The SelectionToolButton constant is used to determine the type of Selection tool to use.

Settings

The valid settings for the SelectionToolButton constant are:

Constant	Value	Description
tbAll	0	All Selection
tbList	1	List Selection


ThousandsSep Constant

The ThousandsSep constant is used to determine the thousands separator of the measures in the table.

Settings

The valid settings for the ThousandsSep constant are:

Constant	Value	Description
tsComma	0	Comma
tsDot	1	Dot
TsSpace	2	Space
TsNone	3	None


Threshold Constant

The Threshold constant is used to determine which threshold is being used.

Settings

The valid settings for the Threshold constant are:

Constant	Value	Description
trHigh	0	High threshold
trMiddle	1	Middle threshold
trLow	2	Low threshold